
2024-11-05 Ulrike Fischer
	* hyperref.dtx: add a fix for cleveref to update its data in refstepcounter.

Version: 2024-10-30 v7.01k

2024-10-14 Ulrike Fischer
	* hyperref.dtx: adapt to new format (predefined \theHcounter, sockets)

2024-10-12 Ulrike Fischer
	* hyperref.dtx: avoid warning if theHfootnote is predefined.

2024-08-31 Ulrike Fischer
	* hyperref-linktarget.dtx: correct a test, see test missing-theH 

Version: 2024-07-10 v7.01j
2024-07-10 Ulrike Fischer
	* hyperref.dtx: define \HyOrg@addtoreset always for cleveref
	 compability with tagging code, see https://github.com/latex3/tagging-project/issues/2

2024-06-02 Ulrike Fischer
	* hyperref.dtx: enable use of onmousedown and onmouseup, issue #342

Version: 2024-05-23 v7.01i
2024-05-25 Ulrike Fischer
	* hyperref.dtx: load stringenc always to allow the use of pdfencoding in a group.

2024-05-22 Ulrike Fischer
	* hyperref.dtx: add \@makeother{:} to \hyper@normalise, issue #340

2024-04-22 Ulrike Fischer
	* hyperref.dtx: remove auxhook package.

2024-02-14 Ulrike Fischer
	* hyperref.dtx: allow commands in counter names
issue #330

Version: 2024-01-20 v7.01h 
2024-01-20 Ulrike Fischer
	* hyperref.dtx: alias for \deferred@thm@head to allow patching if czech is used,
issue #324

2024-01-20  Ulrike Fischer
	* create xr-hyper.dtx, align it with the current xr.dtx to prepare the merge

2024-01-19  Ulrike Fischer
	* xr-hyper.sty: add support for properties, issue latex3/latex2e#1180

2024-01-19 Ulrike Fischer
	* xr-hyper: add unexpanded to \XR@@dURL, issue #327

2023-12-19 Ulrike Fischer
	* hyperref.dtx: remove letltxmacro package. Is unused.

Version: 2023-11-26 v7.01g 
		nameref 2023-11-26 v2.56 
		backref 2023-11-26 v1.44

2023-11-26  David Carlisle
	* hyperref.dtx: Remove infwarerr

2023-11-26 Ulrike Fischer
	* xr-hyper.sty: store URL/file name of external documents always to
	  allow file links even without destinations.
	* nameref.dtx remove unneeded memoir patch
	* nameref.dtx remove unneeded titlesec patch
	* rename \HyPsd@expand@utfvii to \HyPsd@expand@utfviii, issue #309
	* correct composite declaration, issue #314 
   
2023-11-14 Ulrike Fischer
	* remove ltxcmds dependency in hluatex.dtx
	* remove ltxcmds dependency in nameref.dtx (v2.56)
	* remove ltxcmds dependency in backref.dtx (v1.44)

2023-11-11 David Carlisle
        * remove ltxcmds dependency

Version: 2023-11-09 v7.01f

2023-11-09 Ulrike Fischer
	* correct \cyreref to \cyrerev issue 307 
	* corrent \textddagger definition issue 308
	* correct \DiamandSolid to \DiamondSolid in \psdmapshortnames issue 310
	* correct \textDiamandSolid to \textDiamondSolid issue 310
	* remove now unneeded fallbacks for reference commands
	* nameref: remove unneeded beamer patch
	* nameref: remove unneeded ifthen patch

===========
Version: 2023-11-?? v7.01e

2023-11-07 Ulrike Fischer
	* improve thm code, issue 304
	* insert socket for varwidth, issue 204 and 293

2023-10-31 Ulrike Fischer
    * hyperref-linktarget.dtx: switch to e-type
    
===========
Version: 2023-10-27 v7.01d


2023-10-27 Ulrike Fischer
    * hyperref.dtx: change anchor handling for amsthm, issue 304
    
===========
Version: 2023-10-21 v7.01c

2023-10-16 Ulrike Fischer
    * hyperref.dtx: add \@currentHpage support

2023-10-12 Ulrike Fischer 
    * hyperref.dtx: handle \TextOrMath in \pdfstringdef, issue 303 
    * support babel languages loaded with main or 
    with \babelprovide, issue 165 
    
2023-10-05 Ulrike Fischer
    * nameref.dtx: add missing nameref nopatches issue 302,
      version changed to 2023-10-05 v2.54
      
2023-08-14 Ulrike Fischer
    * remove redefinition of \newlabel from the aux if format is new enough.
    * clean up and update documentation of package compabilities
    
2023-08-01 Ulrike Fischer
    * correct example in backref documentation, version changed to 2023-08-01 v1.43

2023-07-18 Ulrike Fischer
    * delay anchor in \@thm, issue 294

2023-07-10 Ulrike Fischer
    * solve amsmath/showkeys/final conflict, issue 292
  
===============
Version: 2023-07-08 v7.01b
    
2023-07-07 Ulrike Fischer
    * make \Hy@@SectionAnchor safe in a MakeUppercase, issue 281
    * reset also \ltx@label of amsmath (avoids problems with ntheorem and classes like svmono)
    

2023-06-25 Ulrike Fischer
    * define the amsmath \ifmeasuring@ always as external package depend on hyperref doing it.
    
2023-06-18 Ulrike Fischer
    * changed various patches for amsmath to make them independent of loading order.
    * nameref: check the definition of label and reinstate the kernel definition if it has been changed.
      This avoid problems with classes (revtex) and packages (ntheorem) which changes \label in an incompatible way.
    
2023-05-16 Ulrike Fischer
    * remove puenc-greekbasic.def and load definitions from greek-fontenc instead.
    * xr-hyper: unified and simplified the brace handling: all defined references have now
      five brace groups. Together with the planed change in LaTeX 2023-06-01 this
      will improve the combination of hyperref/non-hyperref documents and allow to merge with xr
    * xr-hyper: changed default extension from dvi to pdf  
    * nameref: adapt label (re)definition to changes in LaTeX 2023-06-01
    
2023-04-22 Ulrike Fischer
    * fix cleveref/ntheorem incompability https://tex.stackexchange.com/q/683581/2388
    * add nopatch option for \@thm 
    
2023-04-20 Ulrike Fischer
    * fix spacing issues in theorems with new \@thm handling, issues 11,48. 
      This requires etoolbox and the LaTeX para hooks.
    * Adapted MakeUppercase and MakeLowercase to new \BCPdata used by babel and polyglossia.
    * added swissgerman and nswissgerman, issue #264
    * removed stray \CheckSum from backref.dtx
       
2023-04-19 Ulrike Fischer
    * support hitex engine

2023-02-19 Yukai Chou
    * remove dependency on etexcmds package

2023-02-19 Ulrike Fischer/David Carlisle
    * expand key once, issue #275
    * added italian to backref, PR # 274
    * added swedish to autoref names, PR #266   

2023-02-05 Ulrike Fischer/David Carlisle 
    * if babel is loaded casing with 
    \MakeUppercase and \MakeLowercase 
      respects the rules of the current locale/language in the bookmarks.
    * removed old amstex patch of \@seteqlabel
    * added test for \hyper@nopatch@amsmath@tag to allow to suppress an amsmath patch
    * added test for \hyper@nopatch@counter to allow to suppress redefinitions of counter commands
    * added test for \hyper@nopatch@mathenv to suppress math related patches
    * added test for \hyper@nopatch@toc to suppress redefinition of toc related commands.

2023-02-04 Yukai Chou
    * change puenc-greek.def to puenc-greekbasic.def in docs, to sync with file
    renaming, issue #269

2022-11-13 Ulrike Fischer/David Carlisle * don't set the pagesize if \mag is 
    different from 1000, see issue #1138 in latex3. * avoid error from old 
    labels if hyperref is loaded, issue #261 * fixed issue #260 * fixed a 
    nopatch command, issue #258 * Use protected commands in \contentsline to 
    allow the use of \MakeUppercase, issue #121 

2022-09-22 Ulrike Fischer/David Carlisle
    * adapt setpagesize option to changes in LaTeX (stockwidth is always defined)
    * Use hooks instead of auxhook package

2022-06-20 Ulrike Fischer/David Carlisle
    *  don't redefine \@secondoffive and \@fifthoffive, issue #238
    *  add interface to access some pdf related values unchanged (needed by hyperxmp).

2022-06-13 Ulrike Fischer/David Carlisle
    * add definitions for guillemet (corrects the spelling) and
      use them to follow the LaTeX change.

2022-05-17 Ulrike Fischer/David Carlisle
    * fixed: beamer patch in nameref has to be delayed after
      the class has been loaded. issue #236.

2022-05-16 Ulrike Fischer/David Carlisle
    * fixed: check if \nameref is already defined for compability
      with ltugboat.cls (issue #234)
    * nameref is loaded always and earlier (issue#235)
    * the typexml option has been removed as the package it supports
      no longer exists.

2022-05-13 Ulrike Fischer/David Carlisle

    * added new interface for package authors to create targets for internal
      links
    * allow to suppress sectioning and footnote patches of hyperref
    * removed loading of memhfixc: memoir handles that now by itself.
    * removed an old patch for KOMA before 2001
    * removed compability code for pdftex 1.14
    * remove a test for amsmath before 1999
    * removed an since 2002 unneeded definition for subfigure
    * various patches in nameref can now be disabled by package authors
      by defining a command.
    * the experimental option localanchorname has been deprecated
    * LaTeX 2020-10-01 is required as hooks are used now.
    * \refstepcounter no longer tests for the slide counter as no reason could be found
      for that test.
    * nameref no longer patches \ifthenelse if kernel support is detected.
    * some support for references is done by tex4ht directly and has been removed from
      hyperref
    * unified reference commands, both nameref and hyperref now support
      \ref, \pageref, \Ref, \nameref and \ref*, \pageref*, \Ref*, \nameref*
    * removed older varioref code, a varioref newer than 2019 is now needed.
    * improved support for showkeys.
    * \theHequation is always defined (an not only if the section
      counter is defined)
    * Removed the \contentsline tests, no longer needed as \contentsline
      has now four arguments also in latex.
    * \MakeUppercase and \MakeLowercase work now in bookmarks if the expl3
    support is detected.

2022-02-21 Ulrike Fischer/David Carlisle
    * a pdftex version newer than 1.10 (from 2003) is assumed
    * removed tests for numexpr/dimexpr: etex is now required
    * expand utf8 chars even if they are protected (preparation for
      changes in the format)
    * moved patches for revtex.cls to an external package
    * added a key next-anchor to set the next anchor name.
    * added a command \hyperget to retrieve anchor names.
    * moved the patch for foiltex into an external package
    * removed compability code for latex2html, this is now provided
      by html.sty directly.
    * removed patch for seminar, this is now in the class itself
    * moved (basically unneeded) listings patches to external
    package
    * removed patch for titletoc, is now done by titletoc itself.
    * removed lastpage patch, is no longer used as lastpage supports
    hyperref directly.
    * removed non-e-tex version of \hypercalcbp, e-tex is required
    for hyperref now, removed the now unneeded internal command
    \hypercalcbpdef.
    * removed old, no longer needed fix for frenchb.ldf 2010/08/21 v2.5a
    * removed patches for spanish, they are now in spanish.ldf
    * removed hyperref-langpatches.sty, it is now empty and
    unneeded.
    * removed a fix for varioref which is no longer needed since
    2019.


2021-06-07 Ulrike Fischer/David Carlisle
    * fix colons in label, issue #194

2021-06-05 Ulrike Fischer/David Carlisle
    * handle non-ascii labels, issue #185
    * suppress break points after whatsits issue #187
    * correct longtable check, issue #193

2021-02-27 Ulrike Fischer/David Carlisle
    * rename puenc-greek.def to puenc-greekbasic.def to resolve
      name conflict with a file in greek-fontenc, issue #177
    * some documentation improvements (PR #174)

2021-02-10 Ulrike Fischer/David Carlisle
    * moved the PU-declarations for greek to an extra file
      puenc-greek.ldf and force loading if the options psdextra is
      used.
    * moved definition for \U accent into the cyrillic block.
      So it is only defined if \CYRDZE has been defined previously.
    * Some clarifications in the manual.
    * added \special{dvipdfmx:config C 0x10} to the xetex and
    dvipdfmx driver to avoid problems with links to external files.
      See issue #118.
    * if platex is detected unicode is set to false, issue #171
    * reverted the delayed loading of puenc.def as it breaks
    package options issue #172
    * added a \lastnodetype test to distinguish explict 0pt vskip from no skip
    in \Hy@SaveLastskip issue #167
    * enable setting the pdfversion with the xetex/dvipdfm driver,
    (related: issue #87)


2021-02-08 Ulrike Fischer/David Carlisle
    * moved definitions for \G accent to an extra file
      puenc-extra.def, which can be loaded manually
    * moved the loading of puenc.def so that it can be suppressed
    with pdflatex
    * correct the hspace command in pdfstringdef, so that it
    accepts some calc syntax.

2021-02-07 Ulrike Fischer/David Carlisle
    * renamed the manual to hyperref-doc
    * moved the license of the documentation into the file
    * puenc.def defines cyrillic command, specially \C, only if
      \CYRDZE has been defined previously
    * puenc.def defines greek commands only if
      \textBeta has been defined previously
    * puenc.def defines hebrew command only if
      \hebdalet has been defined previously
    * ntheorem-hyper.sty made an obsolete stub
      as ntheorem has been hyperref-compatible for some years.

2021-02-04 Ulrike Fischer
    * corrected the definition of \begin/\end in \pdfstringdef
    * removed patches for russian, new version is on ctan
    * removed patches for danish, dutch, finnish, portugues, usorbian,
    swedish, slovene, macedonian, ukrainian.
    This doesn't affect the output, but can give warnings in the log until
    the languages files adapt their definitions.
    * removed a outdated patch for \texttilde
    * moved language patches to a extra file for easier handling
    * removed \HyPsd@BabelPatch and the related code as no longer
    needed with a current babel.
    * added Euro to encoding of form field font (issue 145)
    * removed patches for ngerman/german: these are now in babel-german
    * removed patches for french, unneeded according the
    babel-french maintainer.
    * set unicode to true by default for all engines.
    * removed outdated code to fix the first page boxlevel.
    * removed outdated code to fix old ltxcmds code
    * removed outdated code to fix fancyvrb
    * removed code related to /Hid - deprecated in PDF 1.2
    * removed patches for greeknumerals, the code is now in
    babel-greek.
    * added norsk to autoref languages (PR 158)
    * added danish to autoref language (PR 159)
    * corrected french language (PR 160)

2020-01-14 7.00d David Carlisle
    * Test for newer GhostScript releases in dvips output
      https://tex.stackexchange.com/a/524163/1090
    * Delete doc/options.pdf
    * Add start of support for setting pdfversion to 2.0
    * Make the default driver be  hdvips not hypertex
      (matching configuration used in miktex/texlive since at least 2002).

2019-11-10  7,00c David Carlisle
   * adjust vtex guards for issue #108

2019-11-06  David Carlisle
   * don't load hobsub-hyperref,ifpdf,ifluatex,ifxetex,ifvtex
     do load new iftex

2019-10-03  David Carlisle
   * xr-hyper update to match xr

2019-09-28 6.88j Ulrike Fischer
   * reverted fix for issue #97 to solve issue #103

2019-09-28 David Carlisle
   * repository moved to https://github.com/latex3/hyperref

2019-09-27 6.88j Ulrike Fischer
   * corrected default values of fields with non-ascii, issue #49
   * changed default height/width of formfields to
   \normalbaselineskip (issue #84)
   * added definitions for starred \ref,\pageref,\nameref if
     implicit=false is used (issue #100).

2019-09-16 nameref 2.46 Ulrike Fischer
   * added missing test else branch of varioref code.

2019-09-12 6.88i Ulrike Fischer
   * adapted code to new varioref version (suggestions from
     Frank Mittelback

2019-09-12 2.45 nameref.sty Ulrike Fischer
   * adapted code to new varioref version (suggestions from
     Frank Mittelback

2019-06-12 6.88h Ulrike Fischer
   * added code to allow \Hy@DisableOption to escape groups
     https://github.com/latex3/hyperref/issues/97

2019-04-27 6.88g Ulrike Fischer
   * added \mu to psdextra.def
     https://github.com/latex3/hyperref/pull/90
   * removed setting of /Producer from all drivers
     https://github.com/latex3/hyperref/issues/91


2018-12-24 6.88f Ulrike Fischer
   * gobble \thanks in pdftitle
     https://github.com/latex3/hyperref/issues/81

2018-11-30 6.88e Ulrike Fischer
   * added ignorespaces to footnotetext to address
     https://github.com/latex3/oberdiek/issues/50

2018-11-27 6.88d Ulrike Fischer
   * removed wrong producer warning for xetex and (x)dvipdfm(x)
     (issue 76)

2018-11-22 6.88c Ulrike Fischer
   * Added support for pdflinkmargin for xetex (issue 15)

2018-11-17 6.88b David Carlisle
   * Ensure Producer field in PDF shows LuaTeX version with two digits (Ulrike Fischer)

2018-09-30 6.88a  David Carlisle
    * Reorganise README and ChangeLog moving most of README into the manual
      and maintaining README.md as markdown and ChangeLog.txt as text
    * Document NoHyper in the manual (copied from hyperref.dtx) for github issue 55
    *  hyperref.dtx: Add \protected@file@percent for github issue 70
    * Adjust default pdfcreator and add addtopdfcreator key for githb issue 53
    * Use \scdefault not always sc as font shape for frenchlinks, github issue 64.
    * Greek Autoref support, issue #52

2018-04-02  6.87a  David Carlisle
    * 6.87a
    * Silence babel messages in pdfstringdef issue #59

2018-02-06  6.86b  David Carlisle
    * 6.86b
    * Fix packaging of luatex.dtx (reported on tex.sx)
    * Don't include test directory on ctan (still on github)

2017-09-29  6.86a  David Carlisle
    * 6.86a
    * bump version and fix documentation markup
    * fixes to xsl and other minor build adjustments
    * send driver message just to log, issue #9
    * add \and to the list of commands locally made safe in pdf title info, issue #44
    * for issue #50 add pdf source zip from texmf-dist/doc/latex/hyperref-docsrc

2017-09-29  6.85a  David Carlisle
    * 6.85a
    * Make driver auto detect info not message (so just log not terminal) issue #9
    * Make \and locally "; " while making pdf info string issue #44

2017-09-29  6.85a  Ulrike Fischer
    * 6.85a
    * don't define \noboundary as text command / issue 37 (#45)
    * changed default pdfversion from 2 to 5, along the default settings in the current tex systems
    * change with pdfa version to 4 only if the current version is smaller, see issue #38
    * removed \noboundary from puarenc.def, see issue #37
    * Issue #38: change version to 1.4 with pdfa only if it is smaller (#43)
    * changed default pdfversion from 2 to 5, along the default settings in the current tex systems
    * change with pdfa version to 4 only if the current version is smaller, see issue #38
    * issue #25, added  \HyPsd@EscapeTeX#1% to correctly escape non-ascii in heading (#42)
    * code to amend issue #40 (missing pdfhighlight option for xetex/dvipdfmx) (#41)
    * corrected typo in hpdftex.def
    * exchanged code for pdfhighlight by \Hy@setpdfhighlight in hpdftex.def
    * exchanged code for pdfhighlight by \Hy@setpdfhighlight in hluatex.def
    * added \Hy@setpdfhighlight to hdvipdfm/hxetex.def

2017-03-14  6.85a  David Carlisle
    * 6.85a
    * Declare \newtie in PU encoding (composites with \newtie are
      already declared).  Declaring composites with an undeclared accent does
      not work and will be flagged as an error in the next LaTeX release.
    * Modify the regex in pdfremotestartview for github issue 28
      https://github.com/latex3/hyperref/issues/28

2017-01-26  6.84a  David Carlisle
    * 6.84a
    * Fix driver check to allow luatex as well as pdftex in pdf mode.
    * Documentation improvements

2016-06-24  6.83q  David Carlisle
    * 6.83q
    * cleveref support

2016-05-21  6.83p  David Carlisle
    * 6.83p, nameref 2.44, backref 1.39
    * document github support
    * escape Field values (issue #5, thanks to Ulrike Fischer for fix).
    * fix to checkbox/Radio code (issue #6, thanks to Ulrike Fischer for fix).
    * Fix for links in amsmath \text (issue #13)
    * Fix white space at end of line before a theorem (issue #11)

2016-05-18  6.83o  David Carlisle
    * 6.83o
    * merge pull request from H. Yamashita pass driver options to color package.
    * replace call to luatex85 package by new luatex back end option
    * Catalan autoref translation contributed in issue #4

2016-05-05  6.83n  David Carlisle
    * 6.83n
    * Load luatex85 package for luatex compatibility

2012-11-06  6.83m  Heiko Oberdiek
    * 6.83m
    * Option `pdflang': Default is `\relax' that suppresses
      the entry in the PDF catalogue. An empty value (undetermined
      language) is written to the PDF catalogue.
    * Option `pdflang': Checks for well-formedness added
      (if \pdfmatch is available).
    * Option `hyperindex': The latest encapsulating command is repeated
      for the close range entries, if it is not already given. That improves
      compatibility to `xindy'. (Formatting commands remain unsupported.)

2012-10-31  6.83l  Heiko Oberdiek
    * 6.83l
    * Workaround for bug in `frenchb.ldf' 2010/08/21 v2.5a added that
      destroys `\pdfstringdefDisableCommands' in `\AtBeginDocument'.
    * nameref 2.43:
      * Support for theorem names in class `beamer'.
      * Some support for `description' labels in class `beamer', if
        `\label' is inside the optional argument of `\item'.

2012-10-15  6.83k  Heiko Oberdiek
    * 6.83k
    * If `hyperref' is loaded in the document class and `htlatex' is used,
      then `hyperref' passes options for `tex4ht' found in \@documentclasshook
      to `tex4ht'.
    * \hyper@link@ suppresses links with empty target.

2012-10-13  6.83j  Heiko Oberdiek
    * 6.83j
    * PDF forms/hpdftex.def: Field option `calculatesortkey' added
      (pdfTeX/LuateX only) to specify the calculation order for
      calculated fields.
    * Option `pdflinkmargin' implemented for pdfmark drivers.

2012-10-12  6.83i  Heiko Oberdiek
    * 6.83i
    * PDF forms: /CO (calculation order) is set for fields with
      calculations. Only document order is supported currently.
    * pdfmark.def: /Fields is set like in the other PDF form drivers.

2012-10-11  6.83h  Heiko Oberdiek
    * 6.83h
    * If `hyperref' is loaded in the document class, then it misses
      the detection of package `tex4ht' of `htlatex' because it is
      loaded after the documentclass. Therefore another test for
      `\HCode' is added that is defined by `htlatex'.
    * The setting of additional information entries is done globally
      like the other standard options (pdfauthor, pdftitle, ...)
      for the information dictionary. (Bug report:
      http://tex.stackexchange.com/q/75684/16967)

2012-09-27  6.83g  Heiko Oberdiek
    * 6.83g
    * Fix for \hyper@link@.

2012-09-26  6.83f  Heiko Oberdiek
    * 6.83f
    * Option `customdriver' added.

2012-09-24  6.83e  Heiko Oberdiek
    * 6.83e
    * Fix for \hyper@link@.

2012-09-23  6.83d  Heiko Oberdiek
    * 6.83d
    * Table of contents: If the page number is empty, then the
      link is suppressed to avoid tiny link boxes.
    * puenc.def/psdextra.def: Wrong names \(text)capricorn
      renamed to \(text)capricornus (wasysym).
    * hyperref.sty: \hyper@link@ recoded.
    * hpdftex.def: Fix for option `ocgcolorlinks' to prevent removing
      other page resources.
    * LuaTeX: Workaround for LuaTeX bug 773 added that can be triggered
      by \pdfstringdef.

2012-08-21  6.83c  Heiko Oberdiek
    * 6.83c
    * Package `parskip': The changes of \@starttoc of package `parskip'
      2001/04/09 are supported (setting \parskip to zero).
    * Optional page object references added to field annotations.
      (hpdftex.def: only if package `zref-abspage' is loaded.)
    * Bug fix for bug in bug fix of 6.82w. The active `Q' was redefined
      and not restored after usage (breaks package `flexisym').
      (Thanks Dominic J\"anichen and Ulrike Fischer.)

2012-08-18  6.83b  Heiko Oberdiek
    * 6.83b
    * pd1enc.def: \ij and \IJ fixed, now they expand to `ij' and `IJ'
      (these glyphs are not available in PDFDocEncoding).
    * Shorthands of babel deactivated in \hyper@makecurrent (destination names)
      and the destination name of \contentsline.
    * \XeTeXLinkBox with \XeTeXLinkMargin added for XeTeX if the link
      does not contain character glyphs.

2012-08-13  6.83a  Heiko Oberdiek
    * 6.83a
    * Syntax fixes in additions for puenc.def.
      (Thanks Yury Donskoy for bug report.)
    * Fix for option `psdextra'.
    * puenc.def: further additions.

2012-08-11  6.82z  Heiko Oberdiek
    * 6.82z
    * Fix in parent counter lookup, meaning of \@elt is restored
      after usage. (Thanks Victor Ivrii for bug report.)
    * puenc.def: fixes and additions.

2012-08-03  6.82y  Heiko Oberdiek
    * 6.82y
    * Unique destination names: Lookup for parent counters added
      for counters that are defined before hyperref is loaded and
      \theH<counter> is not provided.
    * Fixes: File `psdextra.def` was loaded always with option `unicode',
      restriction of set option `psdextra' was missing. Also the
      catcode was not explicitely set to `letter', when the file is loaded.
      (Thanks Daniel Halperin for bug report.)

2012-07-31  6.82x  Heiko Oberdiek
    * 6.82x
    * nameref 2.42: Definition for \strip@period provided.
      It was removed in 2.41, but it is needed by package `subfig'.

2012-07-30  6.82w  Heiko Oberdiek
    * 6.82w
    * Bug fix in \pdfstringdef: Active characters defined with
      \protected are catched and converted to characters with
      catcode 12 (other).
    * hpdftex.def: Before setting the version number it is checked,
      whether objects are already written. Also \pdfobjcompresslevel
      is disabled for versions < 5.
    * puenc.def: Hebrew letters added.

2012-07-29  6.82v  Heiko Oberdiek
    * 6.82v
    * Bug fix (introduced in 6.82r): Information entries did not
      get written in some drivers (xetex, dvipdfm, ...).

2012-07-28  6.82u  Heiko Oberdiek
    * 6.82u
    * Option `destlabel' and \HyperDestRename added.
    * nameref 2.41:
      * The hook \label@hook is added to \label.
      * \strip@period is fixed (unnecessary addition of \relax)
        and renamed to \NR@strip@period.

2012-07-26  6.82t  Heiko Oberdiek
    * 6.82t
    * Some fixes in PU encoding, especially \textbackslash.

2012-07-25  6.82s  Heiko Oberdiek
    * 6.82s
    * \pdfstringdef: \ensuremath added to avoid warnings
      about "removing `math shift'".
    * backref 1.38: Explicit package dependency for `ltxcmds' added.

2012-07-24  6.82r  Heiko Oberdiek
    * 6.82r
    * Package pifont: \ding in Unicode bookmarks supported.
    * puenc.def: lots of symbols added.
    * New experimental option `psdextra' that loads file `psdextra.def'
      with defines the original short character names (mostly math)
      to the names with prefix `text' because of NFSS.
    * puarenc.def: \noboundary fixed.
    * Definitions of \theH<counter> made global (GL).
    * Bug fix in hpdftex.def for links across the first and second page:
      \Hy@FixNotFirstPage is disabled for package `atbegshi' >= 2011/10/05.
    * backref 1.37:
      * \backrefsetup added.
      * Options `enable' and `disable' added.

2012-05-13  6.82q  Heiko Oberdiek
    * 6.82q
    * \HyNew@float@makebox added for package `caption'
      (feature request from Axel Sommerfeldt).

2012-02-28  6.82p  Heiko Oberdiek
    * 6.82p
    * pdfmark: Missing border color setting for \Acrobatmenu added.
    * dvipdfmx/xetex: Fix for \Acrobatmenu if \@menubordercolor is \relax.
    * Some warnings for entries of the information dictionary added,
      if the driver does not support them.
    * Test file testinfo.tex added that sets all entries of
      the information dictionary.

2012-02-06  6.82o  Heiko Oberdiek
    * 6.82o
    * At the begin and end of an equation an \hbox might be
      present that affects math spacing (for example, if the
      equation starts with an unary minus). By putting \hbox
      in \mathopen/\mathclose, now only a math punctuation at
      the end of the equation will add some space afterwords.
      Environment eqnarray is fixed in a similar way, also
      its anchor position is fixed.

2011-12-06  6.82n  Heiko Oberdiek
    * 6.82n
    * Redefinition of \theHchapter/\theHsection in \appendix
      uses \Hy@AlphNoErr instead of \Alph to provide values
      for the cases unsupported in \Alph.

2011-12-04  6.82m  Heiko Oberdiek
    * 6.82m
    * \...footnotetext commands might contain unbalanced conditionals.

2011-11-21  6.82l  Heiko Oberdiek
    * 6.82l
    * Bug fix in page labels (bug introduced in 6.82a).
    * Field/borderwidth: Also a dimen can be given
      instead of a number with default unit bp.
      (Feature request of GL.)
    * Fix for \TextField and \TextCheckField:
      \leavevmode is inserted before the formular field
      to avoid the error that \pdfstartlink cannot be
      used in vertical mode. (Bug reported by GL.)

2011-11-19  6.82k  Heiko Oberdiek
    * 6.82k
    * The macros \theH<counter> are defined using
      \providecommmand to allow previous definitions
      (feature request from Axel Sommerfeldt).

2011-10-01  6.82j  Heiko Oberdiek
    * 6.82j
    * Patch of \TX@endtabularx modified in order to support
      biblatex's patching (reported by Marc Baudoin).

2011-09-28  6.82i  Heiko Oberdiek
    * 6.82i
    * Internal boolean switches renamed if the boolean switch differs from
      its option. This simplifies the implementation of \Hy@boolkey,
      \IfHyperBooleanExists and \IfHyperBoolean.
    * Package tabularx: Footnote linking is only disabled inside
      environment tabularx.

2011-08-19  6.82h  Heiko Oberdiek
    * 6.82h
    * dvipdfm/xetex: pdfpagetransition, pdfpageduration, pdfpagehidden
      implemented.
    * \IfHyperBooleanExists and \IfHyperBoolean added.
    * The label form of \hyperref[...]{...} does not set
      a broken link if the reference is not defined.

2011-04-17  6.82g  Heiko Oberdiek
    * 6.82g
    * Make use of package `hobsub-hyperref'.
    * Patch for package `ltxcmds' removed by requiring the fixed version
      (see v6.81t).
    * Drivers dvipdfm/xetex: missing \leavevmode added for links.

2011-04-09  6.82f  Heiko Oberdiek
    * 6.82f
    * Definition of \Hy@xspace@end moved to an earlier place.

2011-04-07  6.82e  Heiko Oberdiek
    * 6.82e
    * \xspace without space at end of links and anchors.

2011-03-09  6.82d  Heiko Oberdiek
    * 6.82d
    * dvipdfm/xetex: missing launch actions added for \href.

2011-02-28  6.82c  Heiko Oberdiek
    * 6.82c
    * Fix for references with dvips/breaklinks=true in math mode.
      (Bug found by Gady Kozma).

2011-02-07  6.82b  Heiko Oberdiek
    * 6.82b
    * Fix for class `slides' with option `pageanchors'
      and anchor name shortened if page is not used.

2011-02-05  6.82a  Heiko Oberdiek
    * 6.82a
    * Options `hidelinks', `allcolors' and `allbordercolors' added.
    * \pdfstringdef: \begin, \end, \foreignlanguage catched.
    * Options `pdfpagelabels' and `pageanchor': some support
      for class with its page counters (slide/overlay/note/page) added.
    * Option `pageanchor': Double string escaping removed
      for default setting hypertexnames=true, plainpages=false.

2010-12-16  6.81z  Heiko Oberdiek
    * 6.81z
    * Fix for bug #135 `amsclass: wrong formatting of theorems'
     (thanks to Dan Luecking for his analysis).

2010-12-15  6.81y  Heiko Oberdiek
    * 6.81y
    * Allowing driver tex4ht if XeTeX is running (htxelatex).

2010-12-14  6.81x  Heiko Oberdiek
    * 6.81x
    * Destination names (\hyper@makecurrent) now use
      the original definition of \@arabic to avoid
      trouble with redefined \@arabic (polyglossia/arabic).

2010-12-03  6.81w  Heiko Oberdiek
    * 6.81w
    * Fix for draftmode, because .out file wasn't written.

2010-11-26  6.81v  Heiko Oberdiek
    * 6.81v
    * Fix for driver hpdftex.def (undefined \pdf@draftmode).

2010-11-22  6.81u  Heiko Oberdiek
    * 6.81u
    * Driver hpdftex.def: Use of \pdfdraftmode.
    * Driver pdfmark.def: Math mode respected in links.
    * Some unnecessary code removed in \LT@p@ftntext (GL).

2010-10-30  6.81t  Heiko Oberdiek
    * 6.81t
    * Radio buttons: small fix, escaping values and adding /DV.
    * Temporary fix for \ltx@LocalAppendToMacro until next bundle update.

2010-10-19  6.81s  Heiko Oberdiek
    * 6.81s
    * Version check added for driver files.
    * Field options `altname' and `mappingname' added.

2010-09-25  6.81r  Heiko Oberdiek
    * 6.81r
    * \SpecialDvipdfmxOutlineOpen is set in case of XeTeX.

2010-09-17  6.81q  Heiko Oberdiek
    * 6.81q
    * Broken error messages because of broken \Hy@Error fixed.

2010-09-17  6.81p  Heiko Oberdiek
    * 6.81p
    * Sanitizing (babel shorthands) of anchor names in
      \hyper@anchor and \hyper@anchorstart.

2010-09-16  6.81o  Heiko Oberdiek
    * 6.81o
    * Broken option `pdfborder' fixed (since 6.81n).

2010-09-13  6.81n  Heiko Oberdiek
    * 6.81n
    * New option `driverfallback'. It takes a driver option for
      the case that a driver is not given and cannot be autodetected.
      (Feature request by Markus Kohm.)
    * Unused option `hyperref' removed.
    * Driver options are now `void' options that do not accept any values.

2010-09-11  6.81m  Heiko Oberdiek
    * 6.81m
    * New option `pdfremotestartview'.
    * \href with new optional argument with
      keys `page' and `pdfremotestartview', `pdfnewwindow', `ismap',
      `nextactionraw'.
    * Fix for urls in \href: Prefix 'file:' is not added.

2010-09-11  6.81l  Heiko Oberdiek
    * 6.81l
    * Fix spacefactor corrections of 6.81i for math mode.
    * Fixing GoToR actions if \href contains `file:///' or
      `file://localhost/'.

2010-09-10  6.81k  Heiko Oberdiek
    * 6.81k
    * PDF forms: Missing JavaScript actions added for check boxes,
      push, submit and reset buttons.
    * PDF forms: Warnings are given, if HTML field options are used.

2010-09-04  6.81j  Heiko Oberdiek
    * 6.81j
    * \Hy@EveryPageAnchor fixed to avoid Overfull \hbox warnings
      with some drivers.

2010-09-04  6.81i  Heiko Oberdiek
    * 6.81i
    * Various drivers: Destinations made transparent for \spacefactor.
    * Various drivers: Links made transparent for \spacefactor.
    * Various drivers: Fixes for option `raiselinks' without color.

2010-09-01  6.81h  Heiko Oberdiek
    * 6.81h
    * Fix for clash with package `varioref', that redefines
      \refstepcounter with loss of hyperref's additions.
    * Additions for README.

2010-08-30  Heiko Oberdiek
    * backref 1.36: Typo in warning fixed.

2010-06-18  6.81g  Heiko Oberdiek
    * 6.81g
    * pdfmark: Disabling of \escapechar is removed during reading
      the .out file. With package xkeyval the \pdfmark causes
      lots of character `2' in the output.
    * kvsetkeys: \setkeys is replaced by \kvsetkeys.

2010-06-04  6.81f  Heiko Oberdiek
    * 6.81f
    * Beautifying error text of utf8x.def of \utf@viii@undeferr.
    * pdfmark.def: Avoid \leavevmode and \hbox of \pdf@rect
      for destinations with empty target area. It fixes spacing
      in situations like "\section{A}\hypertarget{foobar}{}\section{B}".
      (Bug detected by Thomas Beuthe.)

2010-05-13  6.81e  Heiko Oberdiek
    * 6.81e
    * Real epsilon for \eTeX and \LaTeXe in Unicode bookmarks.

2010-05-12  6.81d  Heiko Oberdiek
    * 6.81d
    * Fix for russian. (Bug found by Victor Kozyakin.)

2010-05-11  6.81c  Heiko Oberdiek
    * 6.81c
    * Fix for funny \@alph and \@Alph definitions for use
      in anchor names.
    * \@fnsymbol uses replacement in anchor names.

2010-05-10  6.81b  Heiko Oberdiek
    * 6.81b
    * Bookmarks: memoir's \booknumberline supported.

2010-05-04  6.81a  Heiko Oberdiek
    * 6.81a
    * Patch for longtable takes package arydshln into account.

2010-05-01  6.80z  Heiko Oberdiek
    * 6.80z
    * Language definitions for \autoref are provided automatically
      without global or package language options if babel is loaded
      before.

2010-04-30  6.80y  Heiko Oberdiek
    * 6.80y
    * pdfencoding=auto: Escape TeX characters in .out file after
      successful conversion to PDFDocEncoding (or subset).
    * nameref 2.40: Support of environment `description'.

2010-04-17  6.80x  Heiko Oberdiek
    * 6.80x
    * Define \@currentHref as "Doc-Start" right at the beginning
      for a better support of \label lost in the preamble.
    * nameref 2.39: \@currentHref and \@currentlabelname are not overwritten.

2010-04-16  6.80w  Heiko Oberdiek
    * 6.80w
    * nameref fix for memoir disabled.
    * nameref 2.38: Support for theorems.

2010-04-15  6.80v  Heiko Oberdiek
    * 6.80v
    * Support for star form of \nameref added in hyperref.
    * nameref 2.37
      * Support for forgotten star form \part* added.
      * Support for memoir fixed: non-star forms of \section, \chapter.

2010-03-30  6.80u  Heiko Oberdiek
    * 6.80u
    * \pdfstringdef: Fix for unexpandable shorthand `"-'
      of `russianb.ldf'. (Bug found by Uladzimir Pylinski.)

2010-03-29  6.80t  Heiko Oberdiek
    * 6.80t
    * Support for package `amsthm' fixed.
      (Bug found by Dana Lahat.)

2010-03-28  6.80s  Heiko Oberdiek
    * 6.80s
    * \@currentHlabel is no longer used.
    * \HyperGlobalCurrentHref and \HyperLocalCurrentHref added.
      (Not yet supported in footnotes.)
    * Fix in bookmarks/.out file: some special characters protected.
    * \href: detection of file links fixed if the file base name
      contains dots (bug found by Uladzimir Pylinski).
    * Some changes to allow `hyperref' to be loaded via
      \AtBeginDocument (experimental).

2010-03-19  6.80r  Heiko Oberdiek
    * 6.80r
    * Experimental boolean option `localanchorname' added.
    * Warning text corrected for empty anchor.
    * Some \@ifundefined replaced by \ltx@IfUndefined
      (avoids definition of macros like \thechapter as \relax).

2010-03-18  6.80q  Heiko Oberdiek
    * 6.80q
    * hpdftex.def, option `verbose': end of links are
      recorded in the .log file at shipout time.
      This helps to find the link in case of the pdfTeX error
      `\pdfendlink ended up in different nesting level ...'

2010-03-16  6.80p  Heiko Oberdiek
    * 6.80p
    * Bookmark output for \CJKnumber fixed.
    * Bookmark implementation of \CJKnumber changed.
      \CJK@one is suppressed before \CJK@ten, if the
      number starts with this.

2010-03-13  6.80o  Heiko Oberdiek
    * 6.80o
    * Typo fixed in CJK bookmark code (Jinsong Zhao).

2010-03-11  6.80n  Heiko Oberdiek
    * 6.80n: \undefined relaced by \@undefined.
    * backref 1.35: \undefined replaced by \@undefined.

2010-03-10  6.80m  Heiko Oberdiek
    * 6.80m
    * If package `ucs' is loaded \PrerenderUnicode is called
      for information entries.

2010-03-09  6.80l  Heiko Oberdiek
    * 6.80l
    * Support of CJKnumb.sty's \CJKnumber and \CJKdigits in bookmarks,
      if encoding is Unicode.

2010-03-04  6.80k  Heiko Oberdiek
    * 6.80k
    * \pdfstringdef: generic font commands (\selectfont,
      \usefont, \fontencoding, ...) disabled.

2010-03-03  6.80j  Heiko Oberdiek
    * 6.80j
    * pdfmark.def: better support of hyphenation if breaklinks=false.

2010-03-01  6.80i  Heiko Oberdiek
    * 6.80i
    * hpdftex.def: form fields array collects field references
      via .aux file to avoid recording field references of field
      inside canceled boxes.
    * README updated.

2010-02-25  6.80h  Heiko Oberdiek
    * 6.80h
    * Compatibility for KOMA-Script's \footref.

2010-02-24  6.80g  Heiko Oberdiek
    * 6.80g
    * Option `verbose': anchors and internal links are recorded in
      the .log file for all drivers.

2010-02-21  6.80f  Heiko Oberdiek
    * 6.80f
    * Unicode support is loaded only if unicode is set to true.
      Previously the option regardless of setting triggered
      the loading of unicode support (or an error, if after
      \begin{document}).

2010-02-08  6.80e  Heiko Oberdiek
    * 6.80e
    * \ref and \pageref robust again before \begin{document}.
      (Bug report by Gerrit Schmitz.)
    * Project/repository moved to Puszcza
      (https://puszcza.gnu.org.ua/projects/hyperref).

2010-01-25  6.80d  Heiko Oberdiek
    * 6.80d
    * License update to LPPL 1.3+
    * nameref 2.36, backref 1.34: LPPL 1.3+

2010-01-16  6.80c  Heiko Oberdiek
    * 6.80c
    * Problem with package `titlesec' fixed (reported by GL in comp.text.tex).
    * backref 1.33:
      * \backrefentrycount added.
      * Internal calculations for \backrefalt and \backrefentrycount
        are disabled, if these features are not used.

2010-01-11  6.80b  Heiko Oberdiek
    * 6.80b
    * Options `pdfinfo' and `pdftrapped' added.

2010-01-09  Heiko Oberdiek
    * backref 1.32:
      * Brazilian Portuguese added (Rog\'erio Brito).
      * Some language aliases added.

2010-01-08  6.80a  Heiko Oberdiek
    * 6.80a
    * Missing \expandafter added for fix in 6.79z.
      `\.' now works again for other languages than Spanish
       in bookmarks.

2009-12-28  6.79z  Heiko Oberdiek
    * 6.79z
    * \pdfstringdef/spanish.ldf: \. breaks \pdfstringdef,
      therefore it is restored as dot accent (\es@save@dot).
      \... is not supported. Use \texorpdfstring{\...}{\dots} instead.

2009-12-23  6.79y  Heiko Oberdiek
    * 6.79y
    * Global papersize options (a4paper, ...) ignored.

2009-12-22  6.79x  Heiko Oberdiek
    * 6.79x
    * Checking \@outlinefile before writing (workaround for
      beamer bug in beamerbasecompatibility 1.63).

2009-12-18  6.79w  Heiko Oberdiek
    * 6.79w
    * Again anchor setting in unnumbered sections fixed.
      \@currentHref gets overwritten by float objects right
      after inline section commands like \paragraph, \subparagraph.
      Reported by Lev Bishop.
      Now the reference name (\@currentHref) is passed by value
      (expanded) to the anchor setting code.
    * nameref 2.35: Required date for package `gettitlestring' updated.

2009-12-17  6.79v  Heiko Oberdiek
    * 6.79v
    * Fix for `pdfencoding=auto', the code accidently got
      deleted for the other drivers than XeTeX.
    * `pdfencoding=auto' for XeTeX now adds a method to suppress the
      warning "Failed to convert input string to UTF16...", see README.

2009-12-16  6.79u  Heiko Oberdiek
    * 6.79u
    * Babel patch of 6.77o rewritten that babel can be loaded
      after hyperref.

2009-12-15  6.79t  Heiko Oberdiek
    * 6.79t
    * hxetex: Using encoding `ascii-print' for
      `pdfencoding=auto'.

2009-12-15  6.79s  Heiko Oberdiek
    * 6.79s
    * Removed paper options of 6.79o now generate a warning
      instead of an error.

2009-12-15  6.79r  Heiko Oberdiek
    * 6.79r
    * hxetex: default is now `pdfencoding=auto' because of
      bug of AR7/Linux regarding page labels.

2009-12-15  6.79p  Heiko Oberdiek
    * 6.79p
    * hxetex: PDFDocEncoding is not supported, only
      option `unicode', `pdfencoding=unicode' or `pdfencoding=auto'.
      In the latter case, PDFDocEncoding is only used, if the
      string is an ascii string (7-bit characters).
      No idea, how to get rid of the warning
      "Failed to convert input string to UTF16...".
      The strings are already in UTF16, thus an additional conversion
      have to fail.
    * Missing package dependency added: intcalc (Vladimir Volovich).

2009-12-14  6.79o  Heiko Oberdiek
    * 6.79o
    * Paper options `a4paper', `a5paper' are ignored.
      Setting the page size is done by using \paperwidth
      and \paperheight. Or in case of memoir \stockwidth and
      \stockheight are used. Evaluation time for setting the page size
      is at begin of document or first page (driver dependant).
    * XeTeX has its own driver file `hxetex.def' (based on hdvipdfm.def).
    * hxetex.def uses pdfTeX's \pdfpagewidth and \pagepageheight
      for setting the media size.

2009-12-10  6.79n  Heiko Oberdiek
    * 6.79n
    * Use of package `rerunfilecheck'.
    * backref 1.31: Use of package `rerunfilecheck'.

2009-12-09  6.79m  Heiko Oberdiek
    * 6.79m
    * \clear@document (REVTeX} is not used in favor of \AtVeryEndDocument
      (Arthur Ogawa).
      * backref 1.30: Use of package `atveryend'.

2009-12-08  6.79l  Heiko Oberdiek
    * 6.79l
    * \Hy@SectionAnchor disabled in bookmarks.
    * \clearpage is not added in \AtEndDocument any more by using
      package `atveryend' instead to prevent problems with column
      balancing in revtex (reported by Arthur Ogawa).
    * \@caption uses \NR@gettitle from package `nameref' if available.
    * nameref 2.34:
      * Redefinition of \@caption is restricted to
        the case if hyperref 6.79l or later is not loaded.
      * Use of package `gettitlestring' for postprocessing
        the title strings.

2009-11-27  Heiko Oberdiek
    * nameref 2.33: \phantomsection and \addcontentsline are disabled during
      title string expansion.

2009-11-27  6.79k  Heiko Oberdiek
    * 6.79k
    * Fix of anchor setting: The anchor setting is filtered out
      for title extracting classes and packages (memoir, titleref,
      zref-titleref, nameref 2.32.
    * nameref 2.32: the title string is expanded to filter out
      unwanted stuff (same way as memoir, titleref, zref-titleref).

2009-11-27  6.79j  Heiko Oberdiek
    * 6.79j
    * Fix of anchor setting for section titles in 6.79h is made
      a little more robust.

2009-11-26  6.79i  Heiko Oberdiek
    * 6.79i
    * Support for empty category parameter fixed for \hyperref and \hyperdef.
    * \hyperdef fixed (.aux file entry).

2009-11-25  6.79h  Heiko Oberdiek
    * 6.79h
    * Fix of anchor setting for section titles.
      * chapters, parts (Markus Kohm),
      * unnumbered sections.
      Now the workarounds with \phantomsection like
        \cleardoublepage\phantomsection\printindex
      should not be necessary any longer.
    * nohyperref: star from \ref and \pageref ignored (Henrik Tidefelt).

2009-11-20  6.79g  Heiko Oberdiek
    * 6.79g
    * \pdfstringdef: Support for unicode characters added
      for XeTeX and LuaTeX.

2009-11-15  6.79f  Heiko Oberdiek
    * 6.79f
    * Forms: Bug in \HyField@PDFChoices fixed, wrong order of
      export and display value (Donald P. Story).

2009-11-14  6.79e  Heiko Oberdiek
    * 6.79e
    * Rerun warning added for bookmarks, based on MD5 sum and file size.
      (This feature requires pdfTeX or LuaTeX.)
    * backref 1.29:
      * Rerun warning added, based on MD5 sum and file size.
        (This feature requires pdfTeX or LuaTeX.)

2009-10-31  6.79d  Heiko Oberdiek
    * 6.79d
    * Full support of makeindex's encap feature (e.g. \index{alpha|textbf}).
      \hyperpage and the formatting command are cascaded via
      \hyperindexformat. Internally \index{alpha|textbf} is transferred
      to \index{alpha|hyperindexformat{\textbf}}. \hyperindexformat calls
      the formatting command in its first argument with the page range
      as argument that is put into \hyperpage. The formatting command
      may call \hyperpage itself, it will be disabled automatically
      to prevent nested \hyperpage commands.

2009-10-28  6.79c  Heiko Oberdiek
    * 6.79c
    * Fix for a wrong byte "0xA0", accidently introduced in 6.79b.
    * Adding bookmark sequence numbers in comments to the bookmark
      auxiliary file (Vladimier Volovich).
    * Manual fix: pdfpicktrackbypdfsize -> pdfpicktraybypdfsize
      (Gregor Zimmermann).

2009-10-19  6.79b  Heiko Oberdiek
    * 6.79b
    * Respect \stockwidth and \stockheight for drivers `dvips'
      and `dvipdfm'.

2009-10-09  6.79a  Heiko Oberdiek
    * 6.79a
    * Field option `radiosymbol' added.
    * Both `checkboxsymbol' and `radiosymbol' support \ding
      (see package `pifont' from bundle `psnfss2e').

2009-10-02  6.78w  Heiko Oberdiek
    * 6.78w
    * Recognize `amsmidx' as multiple index package (David M. Jones).
    * Manual fixes (Herbert Voss).

2009-09-22  6.78v  Heiko Oberdiek
    * 6.78v
    * PDF objects needed for formulars are only allocated if
      environment `Form' is used (hpdftex, hdvipdfm).

2009-09-10  6.78u  Heiko Oberdiek
    * 6.78u
    * Support for open outlines is turned on for XeTeX >= 0.9995.
      Thus option `dvipdfmx-outline-open' is not necessary in this case.
      I don't know about older versions of XeTeX.
    * Additions to the manual (aliascnt, bookmarks).

2009-08-04  6.78t  Heiko Oberdiek
    * 6.78t
    * Fix: Option `bookmarksdepth' with name value now also works
      as package option.

2009-05-23  6.78s  Heiko Oberdiek
    * 6.78s
    * Fix: "\let\textlatin\@firstofone from \addcontentsline.

2009-05-01  6.78r  Heiko Oberdiek
    * 6.78r
    * \pdfstringdef:
      * Typo in definition of \new@ifnextchar fixed (Ulrike Fischer),
      * and \kernel@ifnextchar disabled (Dan Luecking).
    * dvipdfm(x)/xetex: This driver family does not support nested
      annotations. Therefore annotations inside annotations are
      disabled automatically.

2009-04-04  6.78q  Heiko Oberdiek
    * 6.78q
    * Better error message for \MakeUppercase and \MakeLowercase
      in \pdfstringdef (bookmarks).
    * Expandable simulation of \ignorespaces in bookmarks.
    * The values of boolean options are now expanded (\Hy@boolkey).
    * Warnings added for links with empty destination name.

2009-02-22  6.78p  Heiko Oberdiek
    * 6.78p
    * hpdftex.def: Problem fixed, if a link is broken across the
      first and the next page.

2009-02-02  6.78o  Heiko Oberdiek
    * 6.78o
    * Workaround for package `linguex' added (it redefines the
      accent macros \b, \c, \d).

2008-12-26  6.78n  Heiko Oberdiek
    * 6.78n
    * Support of active `&' and \& in \href (\hyper@normalise).

2008-11-18  6.78m  Heiko Oberdiek
    * 6.78m
    * The fix for fancyvrb in hyperef 1998-03-21 is not compatible with
      and necessary for fancyvrb 1998-05-20 or later. Therefore the
      fix is disabled for these versions.
    * Option `ocgcolorlinks': Fix for driver `dvipdfm'.
    * Improved anchor setting for package `amsthm' (Daniel M\"ullner).

2008-09-29  6.78l  Heiko Oberdiek
    * 6.78l
    * Bookmarks: `--' and `---' are automatically replaced by \textendash
      and \textemdash in bookmark strings. However older AR versions
      (until AR5/Linux) might miss these glyphs.
    * Encoding name in warnings `Token not allowed' fixed.

2008-09-27  6.78k  Heiko Oberdiek
    * 6.78k
    * Fix for `slovak' and other babel languages that make `^' and other
      characters active. This disturbs loading of package `color' and
      perhaps `nameref' that are loaded later at begin document.

2008-09-13  6.78j  Heiko Oberdiek
    * 6.78j
    * Forms/hpdftex.def: Missing /Fields entry is set in the same way
      as it is done by the other drivers.

2008-09-12  6.78i  Heiko Oberdiek
    * 6.78i
    * \pdfstringdef: accent support of encoding PU reimplemented
      in a cleaner way.

2008-09-11  6.78h  Heiko Oberdiek
    * 6.78h
    * \pdfstringdef:
      * Warning in case of unsupported composite characters fixed.
      * Unknown composite characters use Unicode combining accents
        if possible.
      * Supported range in PU encoding improved, especially
        extended latin sets, cyrillic, and standard LICRs.
      * Various fixes in encodig files (pd1enc.def, puenc.def).

2008-08-20  6.78g  Heiko Oberdiek
    * 6.78g
    * Patch for \pdfstringdef of Manuel P\'egouri\'e-Gonnard
      for package `xargs'.
    * Option pdfversion accepts versions until 1.9.

2008-08-14  6.78f  Heiko Oberdiek
    * 6.78f
    * \nohyperref added to support custom entries in style files
      of MakeIndex (delim_r, suffix_*), see README.

2008-07-23  6.78e  Heiko Oberdiek
    * 6.78e
    * Driver hdvipdfm.def: Missing code for option `setpagesize' added.
    * README: Entry for package geometry/dvipdfm added.

2008-07-17  6.78d  Heiko Oberdiek
    * 6.78d
    * Bug fix in disabled onclick field for PDF/A (Radhakrishnan CV).

2008-07-16  6.78c  Heiko Oberdiek
    * 6.78c
    * \HyperDestNameFilter added.
      (Feature request by Matthias Franz.)
    * htex4ht.cfg: \MP corrected.

2008-07-15  6.78b  Heiko Oberdiek
    * 6.78b
    * Option `colorlinks': border properties are not cleared immediately,
      but at evaluation time in \AtBeginDocument. This allows a setting
      of colorlinks in hyperref.cfg and using colorlinks=false in the
      document without getting lost of the link borders.
      (Problem reported by Axel Berger.)

2008-07-12  6.78a  Heiko Oberdiek
    * 6.78a
    * Driver options: Algorithm for finding the driver is changed:
      * Code for detecting the driver is more robust
        (not confused by \newcount\pdfoutput, solves a problem with beamer).
      * Driver hpdftex.def is used/forced if and only if pdfTeX is running
        in PDF mode. Thus hyperref now behaves like the other packages that
        do not change PDF mode.
      * Also some other driver options are checked.
    * Driver hpdftex.def:
      * Setting of \pdfcompresslevel is removed.
      * \PassOptionsToPackage{pdftex}{color} is removed.
    * Option dvipdf with driver hdvipdf.def is removed.
      (Nobody missed it since 2006-08-01 v6.75a.)

2008-07-05  6.77v  Heiko Oberdiek
    * 6.77v
    * Fix: Use normal meaning of babel's shorthand characters in
      markup text of links. (Bug found by Ign\'acio Fernandez Galv\'an.)

2008-04-24  6.77u  Heiko Oberdiek
    * 6.77u
    * Fix in action code for PDF/A, introduced in 6.77p (e.g. \PushButton).

2008-04-22  6.77t  Heiko Oberdiek
    * 6.77t
    * Fix: \nameref in bookmarks.
    * Fix for dvipsone: unknown `?pdfmark'.

2008-04-20  6.77s  Heiko Oberdiek
    * 6.77s
    * Additions to PU encoding: \textzerosuperior, ..., \textninesuperior,
      \textzeroinferior, ..., \textnineinferior

2008-04-19  6.77r  Heiko Oberdiek
    * 6.77r
    * Option pdfa: pdf version is set to 1.4.
    * Experimental option `ocgcolorlinks': Same as `colorlinks',
      but prints without color. Optional Color Groups of PDF 1.5
      are used. Main disadvantage: the links cannot be wrapped
      across lines, because they are put in an \hbox. Currently
      only drivers `pdftex' and `dvipdfm' are supported.

2008-04-17  6.77q  Heiko Oberdiek
    * 6.77q
    * Fix for small problem with XeLaTeX (\string^^f4).

2008-04-16  6.77p  Heiko Oberdiek
    * 6.77p
    * Patch for missing anchor settings with amsmath (multline) by
      Ross Moore.
    * New option `pdfa' to improve compatibility with PDF/A,
      see README.

2008-04-15  6.77o  Heiko Oberdiek
    * 6.77o
    * Babel 2008/03/16 v3.8j disables shorthands for bookmarks.
      This reduces the probability of warnings, but at the cost
      of ugly bookmarks. Therefore hyperref tries to undo this.
      See LaTeX bug-report `babel/4017'.
    * Fix for bulgarian.ldf's \@Alph and \@alph for \hyper@makecurrent.
    * Patch for missing anchor settings with amsmath (multline) by
      Ross Moore.

2008-04-13  6.77n  Heiko Oberdiek
    * 6.77n
    * New option `linktoc' added, see README.

2008-04-12  6.77m  Heiko Oberdiek
    * 6.77m
    * Surrogate support for bookmarks (utf8.def, including utf8
      sequences starting with ^^f4).
    * Fix: unicode disabled for pdfmoddate and pdfcreationdate.
    * Fix for footnote support of fancyvrb (Manuel P\'egouri\'e-Gonnard).
    * Fix for anchor name settings inside numbered lists.
    * Russian update with comments (Olga Lapko).

2008-04-05  6.77l  Heiko Oberdiek
    * 6.77l
    * \CheckSum fixed.
    * hyperref-tds.zip renamed to hyperref.tds.zip.

2008-04-02  6.77k  Heiko Oberdiek
    * 6.77k
    * Macro \SliTeX supported by \pdfstringdef.

2008-02-06  6.77j  Heiko Oberdiek
    * 6.77j
    * Bug (typo) in \PushButton fixed (inserted in 6.77a).
    * Bug (typo) in hdviwindo.def fixed (Fran\c cois Charette).

2008-01-09  6.77i  Heiko Oberdiek
    * 6.77i
    * Russian names for \autoref added (Olga Lapko).

2007-12-16  6.77h  Heiko Oberdiek
    * 6.77h
    * \Hy@pstringdef(baseurl, ...) with \edef~{\string~}

2007-11-20  6.77g  Heiko Oberdiek
    * 6.77g
    * Forms: /MK suppressed if empty.

2007-11-17  6.77f  Heiko Oberdiek
    * 6.77f
    * Bug fix for dviwindo: misspelled \Hy@DisableOption (Philip Ratcliffe).

2007-11-12  6.77e  Heiko Oberdiek
    * 6.77e
    * LuaTeX: Package `pdftexcmds' for \pdfescapestring.
    * Default producer setting recognices XeTeX and LuaTeX.

2007-11-08  6.77d  Heiko Oberdiek
    * 6.77d
    * If `pdfstartpage' or `pdfstartview' is empty,
      the catalog key /OpenAction is omitted.

2007-11-05  6.77c  Heiko Oberdiek
    * 6.77c
    * Fix for memoir: \stockwith -> \stockwidth.

2007-10-30  6.77b  Heiko Oberdiek
    * 6.77b
    * Option `pdfnewwindow': setting to `true' or `false' sets the
      entry /NewWindow in the action object. The entry is absent,
      if the `pdfnewwindow' is not used or its value is empty
      (then the user preference is used).

2007-10-29  6.77a  Heiko Oberdiek
    * 6.77a
    * New PDF form field options for flag setting, see README.
    * The ugly hooking in \@begindvi is removed in favor of
      using package `atbegshi'.
      * \@hyperfixhead don't exist anymore.
      * Patch of fancybox is obsolete.
      * \AtBeginDvi replaced by \AtBeginShipoutFirst
    * Obscure \HYPERPAGEANCHOR is removed.
    * If \paperwidth and \paperheight contain invalid values, then
      \special{papersize=...} is suppressed and a warning is given.
    * revtex4/driver pdftex: pdfpagelabels uses \clear@document as hook
        instead of LaTeX's \AtEndDocument. This avoids \clearpage that
        confuses revtex4's balancing of the last page.
    * revtex4: Fix for setting label `LastPage'.
    * Fix for package float's \restylefloat* by Axel Sommerfeldt.
    * Bug fix (debian 351260) in 6.75a breaks `hypertexnames=false'.
      Fixed (Axel Sommerfeldt).
    * Bug fix: The scope of \HyperRaiseLinkLength is limited to
      \HyperRaiseLinkHook.
    * Bug fix: broken \autoref if option `draft' is given.
    * Bug fix: longtable + hypertexnames=false (bug found by Axel Sommerfeldt).
    * \pdfstringdef: \@mkboth disabled.
    * Definition of \pagenumbering removed.
    * Fix of problem with babel's shorthands in bibliography.
    * Hungarian names for \autoref added (Miglinszki P\'eter).
    * Fix for form field's multiline (old bug, introduced in v6.73h):
      The default height for multiline entries was calculated before
      the option was evaluated. The default height of multiline entries
      can be configured by \DefaultHeightofTextMultiline.
      Default is 4\baselineskip.
    * \nolinkurl supports escaped characters the same way as \url
      (Joseph Wright).
    * backref 1.28: Avoids duplicate \newwrite calls.

2007-06-14  6.76i  Heiko Oberdiek
    * 6.76i
    * `pdfencoding=auto' a little more efficient.

2007-06-12  6.76h  Heiko Oberdiek
    * 6.76h
    * Fix for default of \theHequation (class `foils'
      do not know counter `section').
    * New option `pdfencoding' added (uses package `stringenc').

2007-05-29  6.76g  Heiko Oberdiek
    * 6.76g
    * The color of launch annotations are set by options
      `runcolor' and `runbordercolor'. (Previously `filecolor'
       was used.)
    * Support for package `showkeys' added for \autoref.
    * Fix for line breaks right after \url or \href.
    * nameref 2.31: Support for caption of package `listings'.
    * nameref 2.31: Some fixes in \NR@@vpageref.

2007-05-09  6.76f  Heiko Oberdiek
    * 6.76f
    * Use of package `etexcmds' for \unexpanded.

2007-05-03  6.76e  Heiko Oberdiek
    * 6.76e
    * hyperref: ConTeXt's base/syst-gen.tex redefines e-TeX's \unexpanded.
    * Some support for amsmath's environment `subequations'.
    * nameref 2.30: \label is supported after longtable's \caption.

2007-04-25  6.76d  Heiko Oberdiek
    * 6.76d
    * Option dvipdfmx-outline-open/\SpecialDvipdfmxOutlineOpen
      adjusted to new CVS version of dvipdfmx.

2007-04-18  6.76c  Heiko Oberdiek
    * 6.76c
    * Fix for star forms of \ref commands.
    * Fixes for \autopageref.

2007-04-11  6.76b  Heiko Oberdiek
    * 6.76b
    * Line end cleanup, removal of spaces.
    * Minor fixes in form part.

2007-04-09  6.76a  Heiko Oberdiek
    * 6.76a
    * Color options implemented by package `hycolor'.
    * pdfborder: Patch for ghostscript added to remove resolution
      dependency. Unclear is the behaviour of Acrobat Distiller,
      dvipsone, and textures.
        The values for pdfborder should be specified in the way
      they should appear in the PDF file. Default: pdborder={0 0 1}
    * \autopageref added.
    * New field option `rotation' added.
    * Field options bordercolor and backgroundcolor:
      * An empty value is permitted.
      * If the value does not start with a number ('0', '1', '.'),
        then it is processed as xcolor specification.
    * Fix for drivers dvipdfm/pdfmark: launch annotation now uses
      `runbordercolor' instead of `filebordercolor'.
    * PD1 encoding: Replacements for older AR versions removed:
      \l, \L, \v z, \v Z, \i, \textfractionmark, \textfi, \textfl
    * \pdfstringdef: a little faster.
    * \href followed by `%' and line break works now.
    * Option dvipdfmx-outline-open or \chardef\SpecialDvipdfmxOutlineOpen=1
      enables support for open outline entries
      (dvipdfmx, since cvs version 2007-03-29).
      Caution: this feature is experimental and can change.
    * Italian translation of \autoref names added (Cristian Battaglia).
    * Support for \greeknumeral and \Greeknumeral in Bookmarks
      (with option unicode).
    * Replacement for \greeknumeral and \Greeknumeral in anchor names.
    * pdfmark: Destinations without rectangle (D.P.Story)
    * Fixes for fancybox.
    * Fixes for chapterbib (Donald Arsenau).
    * Some support for Spanish shorthands in bookmarks added.
    * varioref (hyperref + nameref):
      * Support for \Ref and \Vref.
      * \vref puts the whole reference text in a link.
      * Fix for babel shorthand characters.
      * Small fixes for undefined references.
    * tex4ht: \hyperlinkfileprefix{} added (Eitan Gurari).
    * Some support for hypcap added (idea of Axel Sommerfeldt).
    * Unused form field option `fillcolor' removed.
    * Unused option `pagecolor' removed.
    * Practically unused option `pagebordercolor' removed.
    * \PDFPage removed, because it's undocumented, is not
      free from errors and is not supported by all drivers.
    * nameref 2.29: beamer support added.

2007-02-27  6.75t  Heiko Oberdiek
    * 6.75t
    * Suppressing links with empty link area.
      (Avoids invalid PDF files in case of pdfmark drivers,
      bug found by Thorsten Schwander.)

2007-02-16  6.75s  Heiko Oberdiek
    * 6.75s
    * Fix for \autoref in bookmarks that was broken since the
      star form support of 6.75g. (Bug found by Matthias Franz.)

2007-02-07  6.75r  Heiko Oberdiek
    * 6.75r
    * dvipdfm, option pdfview: Parameters of XYZ fixed (Jin-Hwan Cho).
    * dvipdfm, option pdfview: The implementation was very poor.
      Now XYZ, Fit{,B,H,BH,V,BV} are supported. FitR and parameters
      remain unsupported.

2007-01-25  6.75q  Heiko Oberdiek
    * 6.75q
    * If colorlinks is set to true, pdfborder is set to suppress
      the border. Now also pdfborderstyle is cleared.

2007-01-23  6.75p  Heiko Oberdiek
    * 6.75p
    * Bug fix: disable pdfpagelabels if \thepage is undefined.
    * Forms: color specifications can also be given by color names,
      if package xcolor is loaded.

2007-01-18  6.75o  Heiko Oberdiek
    * 6.75o
    * XeTeX: new option added and default driver detection extended.

2007-01-17  6.75n  Heiko Oberdiek
    * 6.75n
    * ChoiceMenu fix: parameter value is now used if given.

2007-01-14  6.75m  Heiko Oberdiek
    * 6.75m
    * \autoref uses the name for appendix if it references sections
      that follow \appendix in classes without \chapter.
    * Support for beyond-BMP characters in unicode bookmarks
      (Dohyun Kim <nomosnomos@gmail.com>)

2007-01-06  6.75l  Heiko Oberdiek
    * 6.75l
    * Updated default value of option pdfproducer for pdfTeX 1.40.0.

2006-12-30  6.75k  Heiko Oberdiek
    * 6.75k
    * puarenc.def: Additions to PU encoding for Arabi by Youssef Jabri.
    * New option arabic that loads puarenc.def.

2006-12-27  Heiko Oberdiek
    * nameref 2.28: \protected@edef isn't robust enough for removing
      \label in name strings. Now \label is disabled during referencing.

2006-12-21  6.75j  Heiko Oberdiek
    * 6.75j
    * Fix for bug in \Hy@safe@actives..., introduced in 6.75g.
    * nameref 2.27: now \label uses \protected@edef for the nameref
      to remove \label commands while writing into the .aux file.

2006-12-21  6.75i  Heiko Oberdiek
    * 6.75i
    * Fix: \unichar in bookmarks with Unicode encoding.

2006-11-30  6.75h  Heiko Oberdiek
    * New options for pdf viewer preferences:
        pdfdirection, pdfviewarea, pdfviewclip,
        pdfprintarea, pdfprintclip, pdfduplex, pdfpicktraybypdfsize,
        pdfprintpagerange, pdfnumcopies.
      New option for pdf catalog:
        pdflang (except VTeX)
    * Internal change: \pdf@pagelayout renamed to \@pdfpagelayout.
    * Internal change: \@pdfpagemode without slash.

2006-11-15  6.75g  Heiko Oberdiek
    * New option pdfprintscaling.
    * Star version of \autoref* analogous to \ref*.
    * Support of memoir: package memhfixc is automatically loaded.

2006-10-06  Heiko Oberdiek
    * backref 1.27: fix for \backrefspanish.

2006-09-12  6.75f  Heiko Oberdiek
    * 6.75f
    * Documentation fix: options pdfdisplaydoctitle and
      pdfnonfullscreenpagemode

2006-09-06  6.75e  Heiko Oberdiek
    * 6.75e
    * dvipdfm: \leavevmode for links added.
    * dvipdfm: option dvipdfmx added (alias for dvipdfm).
    * pdfmark.def: Bug fix, clash with \Hy@temp.

2006-08-29  6.75d  Heiko Oberdiek
    * 6.75d
    * Fix: If option unicode option is given, page anchors
      are wrong. Fixed by disabling unicode for page anchor names.
    * Listing(s) support: \providecommand instead of \def.

2006-08-16  6.75c  Heiko Oberdiek
    * 6.75c
    * Supporting both options "vietnamese" and "vietnam".

2006-08-15  6.75b  Heiko Oberdiek
    * 6.75b
    * VnTeX support by Han The Thanh. New option: vietam.
    * Fix for bug with varioref, introduced in 6.75a.
    * Entry "algorithm" updated in README.
    * nameref 2.26: required date added for package refcount.

2006-08-01  6.75a  Heiko Oberdiek
    * 6.75a
    * hyperref-tds.zip provided with files sorted in a TDS tree.
    * New option defaults:
      * plainpages=false
      * pdfpagelabels=true
    * Package kvoptions defines \ProcessOptionsWithKV under
      the name \ProcessKeyvalOptions. It replaces
      hyperref's macro \ProcessOptionsWithKV.
    * Some code for extracting reference information is put
      into package refcount that is now loaded by nameref
      and hyperref.
    * Option bookmarksdepth: The depth of the outline entries
      can now set separatly from counter "tocdepth",
      see README.
    * New option: pdfescapeform, see README.
    * \hyper@normalise for action attribute in forms.
    * \ProcessOptionsWithKV: \let\CurrentOption\@empty added.
    * "bordercolor" options now support package xcolor (>=1.11).
    * "color" options also support the optional argument (color
       model) of \color.
    * New option "pdfborderstyle" that allows the setting of the
      border style dictionary. (Be aware that the support of this
      feature by PDF viewers is limited.)
      Example: underlined links can be obtained by
          pdfborderstyle={/S/U}
    * Direct low level bookmark support for \usepackage[utf8]{inputenc}
      and "uftf8x" of package "ucs". Byte sequences until three
      bytes are supported and e-TeX is required.
      (No support for surrogates).
    * Fix in \addcontentsline, if option verbose is set.
    * Better bookmark support for FrenchPro package
      by use of \if@mid@expandable (Bernard Gaulle <gaulle@idris.fr>).
    * Options "pdfcreationdate" and "pdfmoddate" added.
    * README: Section "Limitations" added with "Broken Link Support".
    * Default driver setting: added missed code of corresponding
      options (Thanks for Arnaud Giersch <arnauld.giersch at free.fr>).
    * \penalty10000 added in \Hy@raisedlink to cancel the
      effect of \smash in preventing hyphenation, e.g. a footnote
      after a word.
    * \@classoptionslist can be \relax (see psnfss/3773).
    * \new@ifnextchar also disabled for bookmarks and
      constructs such as \let\if...\if{true,false} are catched,
      see latex/3662.
    * Bug fix: The case "\part without number by counter secnumdepth"
      was forgotten for the bookmarks (thanks to Rachel Elizabeth Dillon).
    * Bug fix: \vpageref defines undefined references with
      empty anchor name that breaks \autoref.
    * Fix: Wrong message about setting of draft fixed,
      if option final is used.
    * Pdfmark driver: better removal of pdfmark stuff,
      especially generated by forms, if the postscript
      application does not define pdfmark, e.g. because the
      output is not pdf (gs >= 8.0).
    * New version numbering scheme of pdfTeX >= 1.30.
    * Fix for \hyper@normalise, if & is used inside \href
      in tabular environments.
    * Fix: Setting pdfproducer in \usepackage's option part
      did'nt have an effect, because it was overwritten by
      the default setting.
    * Fix: pageanchor=false disabled \@hyperfixhead and thus
      many other features unrelated to pageanchor itself.
      (Thanks to Hendri Adriaens for report and analysis.)
      Now pageanchor can be changed during the document, too.
    * Protection of strings that are written as PS/PDF strings.
    * Hook \Hy@setouterhbox for package setouterhbox.
    * Option plainpages: \thepage is run through \pdfstringdef.
      Helps in the case of spanish roman numbers.
    * Deprecate warning for option 'dvipdf'.
    * \ding replaced by its code for dropping the dependency on
      package pifont and a compatibility problem with package
      pinyin (Werner Lemberg).
    * \hyper@normalise: "\\" is escape for "\" (\href, ...).
    * Bug fix (debian 351260) in float support by Braun Gabor.
    * Fix: Write register for bookmarks is only allocated if needed.
    * Empty Unicode strings without Unicode header bytes.
    * Fix for pdfmark+unicode+pdfpagelabels.
    * Bug fix for empty destination names of pdfmark based drivers.
    * Documentation: option hyperfootnotes added.
    * French texts (\HyLang@french) provided by Marc-Antoine Parent.
    * README: compatibility entries for packages ellipsis, verse.
    * \hyper@normalize: support of active dollar.
    * puenc.def: some fixes, reported by Ralf Stubner.
    * Makefile no longer provided.
    * nameref 2.25, backref 1.26: Documenation fix: \HyperrefOverview
      is undefined if bmhydoc.sty is not loaded.
    * nameref 2.24: Patch for ifthen moved from hyperref to nameref.
    * nameref 2.24: Definitions of \filedate and \fileversion removed.
    * nameref 2.23: Support for captions added.
    * nameref 2.22:
      Fix: \@safe@activestrue limited to label name.
    * backref 1.25: New feature \ifbackrefparscan/\backrefprint
    * backref 1.25: Definitions of \filedate and \fileversion removed.
    * backref 1.24: [#1] --> [{#1}]
    * Documentation: README.pdf and ChangeLog.pdf added.

2003-12-03  Heiko Oberdiek
    * nameref 2.21
    * \ref and \pageref are defined at any case, if hyperref
      is not loaded.

2003-11-30  6.74m  Heiko Oberdiek
    * 6.74m
    * \textcolor disabled in bookmarks.

2003-11-15  6.74l  Heiko Oberdiek
    * 6.74l
    * Typo fixed by Werner Lemberg: s/CJK@punktcharx/CJK@punctcharx/

2003-10-30  Heiko Oberdiek
    * nameref 2.20: titlesec support added.

2003-10-12  6.74k  Heiko Oberdiek
    * 6.74k
    * Fix for more than one footnote in longtable's
      columns of type "p".

2003-10-06  6.74j  Heiko Oberdiek
    * 6.74j
    * Bug fix: automatic link type detection failed for
      url field in references (eg. imported labels by xr-hyper).

2003-09-15  6.74i  Heiko Oberdiek
    * 6.74i
    * Bug fix (\if-commands after \ifx of 6.74h's "fleqn" detection).

2003-07-27  6.74h  Heiko Oberdiek
    * 6.74h
    * The lost source for the manual is rewritten by Steve Peter
      and updated by Karl Berry.
    * Bug fix of 6.74f does not work for amsmath's option "fleqn",
      the \label does not detect the equation number, therefore
      the fix is disabled, if "fleqn" is detected.

2003-07-22  6.74g  Heiko Oberdiek
    * 6.74g
    * Bug fixed in pdfmark.def: definition of \strip@pt@and@otherjunk
      moved before \endinput by implicit=false.

2003-07-10  6.74f  Heiko Oberdiek
    * 6.74f
    * Fix for wrong vertical spacing between amsmath's
      equation environments (Dmitri Chubarov <chubarik@gorodok.net>).

2003-06-01  6.74e  Heiko Oberdiek
    * 6.74e
    * README: Hint for hypcap added.
    * pdfmark.def: "cvn" added for named GoToR destination
      (Reinhard Jahraus).

2003-05-12  6.74d  Heiko Oberdiek
    * 6.74d
    * An empty dictionary /ViewerPreferences is now suppressed.

2003-05-12  6.74c  Heiko Oberdiek
    * 6.74c
    * \@addtoreset: \edef replaced by \xdef.

2003-04-28  6.74b  Heiko Oberdiek
    * 6.74b
    * Patch for float.sty compatibility (Anselm Lingnau/Marco Kuhlmann).
    * Tried better anchor setting for floats that are controlled
      by float.sty. Several captions inside one float are not supported.

2003-04-27  6.74a  Heiko Oberdiek
    * 6.74a
    * \newcounter{foo}[bar]: using \theHbar, if available.

2003-04-14  6.73z  Heiko Oberdiek
    * 6.73z
    * New option "pdfdisplaydoctitle" (PDF 1.4).
    * New option "pdfnonfullscreenpagemode".

2003-03-31  6.73y  Heiko Oberdiek
    * 6.73y
    * Also the KOMA-Script classes redefine \LT@array, therefore
      longtable fix extended.

2003-03-25  6.73x  Heiko Oberdiek
    * 6.73x
    * Behaviour of warning "bookmark level for unknown ..." changed:
      * The missing \toclevel@... command is globally defined
        to avoid further warnings.
      * If this entry is not used for the bookmarks, the
        warning is changed into a \PackageInfo.
    * Language support for Afrikaans added.

2003-03-21  6.73w  Heiko Oberdiek
    * 6.73w
    * Errors corrected in documentation part.

2003-03-21  6.73v  Heiko Oberdiek
    * 6.73v
    * \hyperpage now ignores spaces and empty arguments.

2003-03-21  6.73u  Heiko Oberdiek
    * 6.73u
    * Option "encap", other encap character for use with hyperindex
      can be given.

2003-03-20  6.73t  Heiko Oberdiek
    * 6.73t
    * hyperref now uses the same method for language support as
      backref 1.23.
    * Change from \captions<lang> to \extras<lang>.
    * backref 1.23
      Babel support for language strings added
      (suggestion of Danie Els).

2003-03-20  6.73s  Heiko Oberdiek
    * 6.73s
    * Default for \itemautorefname added.
    * backref 1.22
      Bug fixes and additions of Danie Els <dnjels@sun.ac.za>:
      * Typo fixed in \backreflastsep.
      * Package natbib support, if hyperref is not loaded.
      * Language Afrikaans added.
    * hyperref.ins:
      hyperref.drv and hycheck.tex are put outside the scope
      of \usedir.

2003-03-19  6.73r  Heiko Oberdiek
    * 6.73r
    * \hyper@link@: \@safe@activestrue used for internal name
    * backref 1.21:
      * Continued with inserting of \@safe@activestrue.
      * \backrefxxxdupe added for comparision and detection
        of dupes.
      * \backrefalt added with more powerful interface with macros
        \backrefsep, \backreftwosep, and \backreflastsep.
      * Language options added.
      * More documentation.

2003-03-18  6.73q  Heiko Oberdiek
    * 6.73q
    * Suppressing /URI entry if \@baseurl is empty (hpdftex, hdvipsone).
    * /URI moved to Cataloge (hdvipsone).
    * Some locations of "file:" replaced by \Hy@linkfileprefix.

2003-03-18  6.73p  Heiko Oberdiek
    * 6.73p
    * Patch for longtable added (problem reported by Thomas Beuthe).

2003-02-11  6.73o  Heiko Oberdiek
    * 6.73o
    * Support for babel's shorthands in \autoref fixed.
    * Support for \autoref in bookmarks added.
    * Option final added similar to graphics.sty, article.cls, ...
    * \hyperref[#1] does now use babel's \@safe@activestrue.

2003-01-22  6.73n  Heiko Oberdiek
    * 6.73n
    * Unsafe key value pair: Action=<<...#2...#3...>>
      replaced by: Action={<<...#2...#3...>>}
      because it breaks, if #2 or #3 contain a comma.

2003-01-22  6.73m  Heiko Oberdiek
    * 6.73m
    * Support for \@makecaption of class IEEEtran with
      three arguments removed, because version V1.6b uses
      the standard LaTeX interface with two arguments.

2003-01-20  6.73l  Heiko Oberdiek
    * 6.73l
    * Footnote fix: Initialization of \Hy@footnote@currentHref
      added (Thorsten Schwander <schwander@horse.lanl.gov>).

2003-01-17  6.73k  Heiko Oberdiek
    * 6.73k
    * Footnote fix: \label commands inside \footnote do
      not need nameref support (\@currentlabelname).

2003-01-17  6.73j  Heiko Oberdiek
    * 6.73j
    * Fix for footnote code: a \label after \footnote
      commands refers to the previous section or similar
      and not to the footnote.

2002-12-15  6.73i  Heiko Oberdiek
    * 6.73i
    * \texteuro fixed for PU encoding,
      Maksym Polyakov <polyama@myrealbox.com>.

2002-12-10  6.73h  Heiko Oberdiek
    * 6.73h
    * Bugreport of Michael W Daniels <daniels@ling.ohio-state.edu>:
      height in \TextField is not respected, if multiline is set.
      * Fixed by moving the height setting code in the default
        section.
      * Also "4\DefaultHeightofText" replaced by a more robust
        construct.

2002-12-05  6.73g  Heiko Oberdiek
    * 6.73g
    * \edef instead of \def for comparison with value of option
      bookmarkstype (in \@@writetorep), the following should
      work: bookmarkstype=lof

2002-12-03  6.73f  Heiko Oberdiek
    * 6.73f
    * Option "setpagesize" added also for VTeX's \mediawidth/height.
    * VTeX: \mediawidth/height is only set with positive dimen values.

2002-11-29  6.73e  Heiko Oberdiek
    * 6.73e
    * Option "setpagesize" added.

2002-11-14  6.73d  Heiko Oberdiek
    * 6.73d
    * Support for \@addtoreset added, similar to
      \numberwithin (idea of Markus Kohm in
      de.comp.text.tex).

2002-11-07  6.73c  Heiko Oberdiek
    * 6.73c
    * Added "hyperpage" also after "closing range"
      (\index{...|)hyperpage}), because it is allowed
      for makeindex and necessary for XIndy.

2002-11-01  6.73b  Heiko Oberdiek
    * 6.73b
    * \Hy@raisedlink for caption without option nesting.
    * Support for \@makecaption of class IEEEtran that
      uses three arguments.

2002-10-24  6.73a  Heiko Oberdiek
    * 6.73a
    * vtexpdfmark: pdfborder={0 0 1} (Walter Schmidt).

2002-10-22  6.72z  Heiko Oberdiek
    * 6.72z
    * A small remainder of option 4 removed.
    * options.tex: option pdfpagelabels added,
                   option 4 removed.

2002-09-12  6.72y  Heiko Oberdiek
    * 6.72y
    * Addition to \hyper@normalise: \_, \textunderscore,
      \textasciitilde.

2002-09-04  6.72x  Heiko Oberdiek
    * 6.72x
    * \ReadBookmarks is disabled if bookmarks=false is given.
    * \Hy@raisedlink introduced into \hyper@natanchorstart
      (Thanks to Macro Kuhlmann <mk@mcqm.net>).

2002-08-24  6.72w  Heiko Oberdiek
    * 6.72w
    * "\let\pdfoutput\@undefined" removed.
    * Bug fix: option bookmarksnumbered is now respected,
      if package slidesec is used.

2002-08-04  6.72v  Heiko Oberdiek
    * 6.72v
    * Koma classes: optional argument for \maketitle.

2002-08-03  6.72u  Heiko Oberdiek
    * 6.72u
    * \appendix: \Hy@org@appendix moved to the end
      and renamed to \HyOrg@appendix.

2002-07-25  6.72t  Heiko Oberdiek
    * 6.72t
    * Support for footnotes in p-columns of longtables.

2002-06-06  6.72s  Heiko Oberdiek
    * 6.72s
    * \Hy@defaultdriver used, so that "hypertex" can
      be redefined in hyperref.cfg (eg. "dvips").

2002-06-05  Heiko Oberdiek
    * backref 1.20
    * Babel's \@safe@activestrue inserted to bibitem commands.
      But problems with \cite remains (frenchb.ldf).

2002-05-27  6.72r  Heiko Oberdiek
    * 6.72r
    * Problem with varioref's \vref@pagenum fixed
      (Thanks to Felix Neubauer <felix.neubauer@gmx.net>).

2002-05-10  6.72q  Heiko Oberdiek
    * 6.72q
    * Some spaces in PDF output of driver pdftex removed.

2002-05-09  6.72p  Heiko Oberdiek
    * 6.72p
    * Option `pdfusetitle' now correctly disabled.

2002-04-20  6.72o  Heiko Oberdiek
    * 6.72o
    * Bug fix of 6.72n is wrong:
      Octal escape sequences (\000) are not detected by the method
      with \meaning. Now another method, based on \dospecials, is
      used to protect active characters while reading the .out file.

2002-04-19  6.72n  Heiko Oberdiek
    * 6.72n
    * Bug fixed in \ReadBookmarks of driver vtex:
      the text arguments in the .out file are
      now protected.

2002-04-15  6.72m  Heiko Oberdiek
    * 6.72m
    * Adaption to subfigure 2002/03/26 v2.1.2. It uses
      \AtBeginDocument{...\newcommand{\toclevel@subfigure}...}.

2002-04-12  6.72l  Heiko Oberdiek
    * 6.72l
    * Fix from Werner Lemberg <wl@gnu.org> for
      bookmarks with Big5 encoded strings,
      preprocessed by package cjk.

2002-04-09  6.72k  Heiko Oberdiek
    * 6.72k
    * \protected@edef instead of \edef in \hyper@link@.

2002-03-27  6.72j  Heiko Oberdiek
    * 6.72j
    * Tried to fix the problem that links to
      bibliography points to baseline if pdfTeX is
      used by inserting \Hy@raisedlink.
    * \Hy@raisedlink disabled for pdfmark drivers,
      because they use a PostScript method.

2002-03-15  6.72i  Heiko Oberdiek
    * 6.72i
    * \toclevel@subfigure and \toclevel@subtable fixed.

2002-03-15  6.72h  Heiko Oberdiek
    * 6.72h
    * New structure on tug server.
    * Makefile: target "distrib" removed.
    * Textures update by Ross Moore <ross@maths.mq.edu.au>.

2002-03-14  6.72g  Heiko Oberdiek
    * 6.72g
    * Added fix for subfigure 2002/02/14 v2.1.
      Loading order: nameref, subfigure, hyperref.

2002-03-08  6.72f  Heiko Oberdiek
    * 6.72f
    * dvipdfm: pdfstartpage and pdfstartview fixed
      (Akira Kakuto <kakuto@fuk.kindai.ac.jp>).

2002-02-16  6.72e  Heiko Oberdiek
    * 6.72e
    * \pdfstringdef: \cyr disabled for russian.ldf
    * \pdfstringdef: shorthands for macedonian.ldf
    * VTeX 7.54: pdfnewwindow supported in \hyper@linkfile.

2002-01-14  6.72d  Heiko Oberdiek
    * 6.72d
    * Bug fix: \Hy@title, \Hy@author.

2002-01-08  6.72c  Heiko Oberdiek
    * 6.72c
    * pdfmark.def: /URI moved from /DOCVIEW to {Catalog}.
    * pdfmark.def: Unused \@dobaseurl removed.

2002-01-07  6.72b  Heiko Oberdiek
    * 6.72b
    * Support of \stockwidth and \stockheight (memoir class).

2002-01-06  6.72a  Heiko Oberdiek
    * 6.72a
    * Annotation's additinal-actions dictionary for form fields:
      Supported: keystroke (/K), validate (/V), format (/F)
      and now added: onfocus (/Fo), onblur (/Bl),
      onmousedown (/D), onmouseup (/U),
      onenter (/E), onexit(/X)
    * Additional-actions dictionary added in \PDFForm@List and
      \PDFForm@Radio.
    * \PDFForm@Text: "/Ff 1" added, if only \ifFld@readonly is set.

2001-12-23  6.71z  Heiko Oberdiek
    * 6.71z
    * Some \providecommand replaced by \providecommand*.
    * Babel's \@number of file lrbabel.def inserts
      unexpandable tokens into the expansion of \arabic.
      At some places dummy for \@number inserted, where
      anchor and link names are expanded.

2001-12-21  6.71y  Heiko Oberdiek
    * 6.71y
    * Support for chapterbib added, provided by
      Julian Gilbey <J.D.Gilbey@qmul.ac.uk>.

2001-12-06  6.71x  Heiko Oberdiek
    * 6.71x
    * Added fix by Denis Girou for pst-key.tex (1998,
      derived from old keyval.dtx). Any initial brace group
      in the value field is removed.

2001-11-14  6.71w  Heiko Oberdiek
    * 6.71w
    * Added suggestion of Didier Verna <didier@lrde.epita.fr>:
      The fix for multind is also applied for package index.

2001-11-12  6.71v  Heiko Oberdiek
    * 6.71v
    * The feature of 6.71r with automatic detection of
      title and author can be enabled by option
      pdfusetitle. The default is disabled.
    * If pdfusetitle is enabled, an optional argument
      is detected for \title and \author (amsart class).

2001-11-05  6.71u  Heiko Oberdiek
    * 6.71u
    * \literalps@out for dviwindo (D.P. Story).

2001-11-04  6.71t  Heiko Oberdiek
    * 6.71t
    * The patch for harvard is delayed by \AtBeginDocument
      to solve a problem with the package load order, if
      html.sty is present (Command \harvarditem already
      defined).
    * The fix for the Adobe bug introduced in 6.71n
      is changed completely, because Adobe's suggestion
      generates an extra empty page at the end.
      (\literalps@out for dviwindo is currently only a dummy.)

2001-10-30  6.71s  Heiko Oberdiek
    * 6.71s
    * If "\\" or "\newline" are used in \title or
      \author and reused for the pdf information
      entries, then they are replaced by a space
      or a comma and space, see hyperref.dtx.

2001-10-11  6.71r  Heiko Oberdiek
    * 6.71r
    * Detection of \author and \title added for
      defaults of pdf information entries.

2001-09-20  6.71q  Heiko Oberdiek
    * 6.71q
    * Fix for Adobe bug of 6.71n:
      * VTeX in PS mode with GeX: \immediate\special{!=...}

2001-09-18  6.71p  Heiko Oberdiek
    * 6.71p
    * Fix for Adobe bug of 6.71n improved:
      * Support for dviwindo added (D.P. Story).
      * Check for product added (product is level 2).

2001-09-18  6.71o  Heiko Oberdiek
    * 6.71o
    * Warning, if \hypercalcbp is used without
      package calc or e-TeX.
    * Use of \hypercalcbp removed to avoid the above warning.
    * \usepackage{calc} added in testams.tex.

2001-09-18  6.71n  Heiko Oberdiek
    * 6.71n
    * If package tex4ht is loaded, option tex4ht
      is added to hyperref's option list
      (Eitan Gurari <gurari@cis.ohio-state.edu>).
    * Bug fix added for Adobe Distiller 5
      (Adobe bug number 466320, thanks to
      D.P. Story and M. Vulis).
    * testams.tex fixed.

2001-08-19  6.71m  Heiko Oberdiek
    * 6.71m
    * VTeX's \OpMode=3 is accepted the same way as 1 and 2.

2001-08-19  6.71l  Heiko Oberdiek
    * 6.71l
    * OS part in VTeX's /Producer default corrected.

2001-08-19  6.71k  Heiko Oberdiek
    * 6.71k
    * Default of /Producer string:
      * updated for pdfTeX >= 1.00a,
      * pdfeTeX detection added,
      * \VTeXOS added for VTeX >= 7.45.

2001-08-16  6.71j  Heiko Oberdiek
    * 6.71j
    * Translation of \autoref names to brazil/portuges by
      Willie Dresler Leiva <dreslerleiva@hotmail.com>.
    * test/test0.dvi removed.
    * test/test7.tex: \usepackage{times} to get smaller test7.pdf.
    * Makefile: targets clean and distrib updated, $(RM) introduced.

2001-08-10  6.71i  Heiko Oberdiek
    * 6.71i
    * Compatibility problem with xypic, introduced by
      version 6.71g, fixed.

2001-07-03  Heiko Oberdiek
    * Two small fixes of Makefile, provided by
      Martin Maechler <maechler@stat.math.ethz.ch>.

2001-06-18  6.71h  Heiko Oberdiek
    * 6.71h
    * Option pdfpagemode with empty argument sets
      default behaviour (an alternative would be "UseNone")
      in order to avoid the wrong name "/".

2001-05-26  6.71g  Heiko Oberdiek
    * 6.71g
    * Contributions by Ross Moore <ross@ics.mq.edu.au> and
      Daniel Steffen:
      a. patch to  htexture.def  that adjusts the PDF@SetupDoc
         so that it includes the setup information from  pdfmark.def
         as well as the tokens needed by Textures itself.
      b. changes to the \AtBeginDocument usage to implement
         compatibility with the  ldump.sty  package.
    * Bug fix in multind support (forgotten backslash).
    * Fix for driver pdftex: \pdfpagewidth and \pdfpageheight
      are not set, if \paperwidth or \paperheight are zero,
      because it is likely that the settings of pdftex.cfg
      are better than the heuristics of pdfTeX, if the dimen
      lengths are zero.

2001-04-13  6.71f  Heiko Oberdiek
    * 6.71f
    * Feature request of Jens-Uwe Morawski <morawski@gmx.net>:
      \thispdfpagelabel introduced.

2001-04-05  6.71e  Heiko Oberdiek
    * 6.71e
    * \@begindvi changed:
      * \Hy@begindvi for hyperref stuff in \@begindvi introduced,
      * small bug fix (first page with options
        pdfpagelabels + pageanchor=false).

2001-04-05  6.71d  Heiko Oberdiek
    * 6.71d
    * Fix for \@@Radio in hdvipdfm.def for AR5, provided
      by D. P. Story <story@uakron.edu>.
    * Spell error corrected (\Hy@captionsspanish).
    * The fix of 6.71b for VTeX paper size was introduced
      to solve problem with prosper, but because of new problem
      with pdfscreen, the fix is redone.

2001-02-20  6.71c  Heiko Oberdiek
    * 6.71c
    * Bug fix, introduced in 6.71b.

2001-02-20  6.71b  Heiko Oberdiek
    * 6.71b
    * Fixes by Markus Kohm:
      * Applying the \@addchap hack for scrreprt.
      * Disabling the \@addchap hack for komascript
        versions since 2001/01/01, because these
        versions contain hyperref support.
      * The \@ssect, \@schapter, ... hacks are also applied
        to driver hypertex.
    * Fixes by Alex (VTeX):
      * Correction of paper size setting.
      * /Replace transition supported.

2001-01-27  Heiko Oberdiek
    * nameref 2.19:
      option final of showkeys now detected.

2000-11-05  6.71a  Heiko Oberdiek
    * 6.71a
    * Two errorneous garbage lines removed, they cause
      an infinite loop with \autoref{<equation|footnote>}.

2000-10-04  6.71  Sebastian Rahtz
    * 6.71 CTAN release

2000-09-29  6.70y  Heiko Oberdiek
    * 6.70y
    * Check of empty /Dest and /DestAnchor values
      improved (\pdfmark).

2000-09-22  6.70x  Heiko Oberdiek
    * 6.70x
    * Next typo fixed (option american).

2000-09-22  6.70w  Heiko Oberdiek
    * 6.70w
    * \DeclareRobustCommand: \href, \url, \hyperimage,
                             \hyperref
    * Typo fixed (option american).

2000-09-07  6.70v  Heiko Oberdiek
    * 6.70v
    * Fix for option CJKbookmarks.

2000-09-06  6.70u  Heiko Oberdiek
    * 6.70u
    * Fix of \pdf@rect and \@hyperfixhead for seminar
    * Default for \special@paper with values for
      packages typearea or geometry.
    * Fix for seminar: true values for \pdf{h,v}origin
      and \pdfpage{width,height} (Thanks to
      Stephan Lehmke).
    * File `test/seminar.con' replaced by environment
      `filecontents' in file `testslide.tex'.

2000-09-05  6.70t  Heiko Oberdiek
    * 6.70t
    * Fixes for packages listings and listing.
    * Some \setbox...=\hbox replaced by color safer
      constructs.
    * Patch for bookmarks with package cjk, enabled
      with option `CJKbookmarks'.

2000-08-31  6.70s  Heiko Oberdiek
    * 6.70s
    * URLs, broken by bibTeX, work now:
        \url{%
          http://www.%
          dante.de/%
        }
      ("%^^M" are detected and removed, thanks
      Stefan Ulrich <ulrich@cis.uni-muenchen.de>
      for his suggestion.)
    * Checks added to hycheck.tex
    * \caption checks whether \@captype is defined.

2000-08-30  6.70r  Heiko Oberdiek
    * 6.70r
    * Shorter PostScript names (/H.X) for drivers of dvips type.
    * Bug fix (hvpdfmark.def): /pdf@voff
    * New test file `hycheck.tex'.
    * Bug fix: latex/2318 fix added to \@caption.
    * Bug fix: \numberwithin

2000-07-30  6.70q  Heiko Oberdiek
    * 6.70q
    * VTeX: further fixes.

2000-07-17  6.70p  Heiko Oberdiek
    * 6.70p
    * \test@reftype fixed (used for \autoref).
    * autorefnames: german fixed, spanish added.
    * VTeX: additions and fixes from Alex Kostin.

2000-07-04  6.70o  Heiko Oberdiek
    * 6.70o
    * Test files testbm{oe,sc,zc,yi,l}.tex merged to testbma.tex.
    * Added correct \@hyper@launch for hvtex.def (Alex Kostin).

2000-07-03  6.70n  Heiko Oberdiek
    * 6.70n
    * Default for \Hy@pageheight changed from A4 to
      setting via \hypercalcbp and \paperheight.

2000-07-02  6.70m  Heiko Oberdiek
    * 6.70m
    * Feature added: \hypercalcbp (see hyperref.dtx).

2000-07-02  6.70l  Heiko Oberdiek
    * 6.70l
    * Bugfix in onopen of 6.70k undoned. It will
      be fixed in VTeX itself.

2000-07-01  6.70k  Heiko Oberdiek
    * 6.70k
    * Own section for vtexpdfmark driver and
      PostScript code fixed.
    * Bug in hvtex.def fixed: missing space in onopen special.

2000-07-01  6.70j  Heiko Oberdiek
    * 6.70j
    * hyperref.ins for vtexpdfmark corrected.

2000-07-01  6.70i  Heiko Oberdiek
    * 6.70i
    * Start of new VTeX driver that support pdfmark specials.
      Option `vtexpdfmark', file `vtexmrk.def'
      (contributed by Michael Vulis).
    * hyperref.ins: hvtexmrk.def added.

2000-06-30  6.70h  Heiko Oberdiek
    * 6.70h
    * nohyperref: \hyperpage disabled.
    * Defaults for \autoref's names only define \...autorefname.
    * Problem with \hyper@hash fixed.
    * \nolinkurl added (variant of \url, that does not make
       a link, eg. for use in the second argument of \href).
    * Problem fixed, that warning ``Label(s) may have changed.''
      always appears with `babel' and `\bibcite'.
    * Update of htextures.def by Ross Moore <ross@ics.mq.edu.au>:
      * the blue rectangles no longer appear with `colorlinks',
      * pdfmark support,
      * the built-in support for hypertex specials is
        utilised.
    * Update of hvtex.def by Michael Vulis
      <support@micropress-inc.com>:
      * Bug in \Acrobatmenu fixed.
      * Transition effects added (written by Alex Kostin).
    * pdfmark.def: Character slash `/' now works
      in destination names (eg: "cite.OMG:formal/98-12-01").

2000-05-08  6.70g  Heiko Oberdiek
    * 6.70g
    * \autoref names: To solve the uppercase problem,
      first the names \...autorefname are used in \autoref.
      Language options added for english and german languages.

2000-05-08  6.70f  Heiko Oberdiek
    * 6.70f, nameref: 2.18
    * Anchor of foonotes raised.
    * showkey support (nameref.dtx: \label, \ref, \pageref, \nameref,
      not checked and tested is \cite).
    * \@xfootnotetext calls \H@@mpfootnotetext, if called in minipage.
    * Bug \href{foo.pdf#bar} fixed, introduced in 6.70c.
    * Bug harvard/backref fixed ({\thepage}{\current@label}).

2000-04-12  6.70e  Heiko Oberdiek
    * 6.70e
    * Empty reference causes crash of distiller, therefore
      empty references replaced by UNDEFINED
      (pdftex, pdfmark, dvips, vtex, dvipdfm).

2000-04-11  6.70d  Heiko Oberdiek
    * 6.70d
    * hvtexhtm detected as default driver.
    * Bug fix (undefined \pageref within \ifthenelse).

2000-03-31  6.70c  Heiko Oberdiek
    * 6.70c
    * \hyper@normalise: %, \%, #, \# expands to catcode `other'
      characters, \url{http://foo.bar/%2e_~#hash} should work.
    * \pdfBorderAttrs removed and replaced by
      "/Border [\@pdfborder]".
      If option colorlinks is set, the border is set to zero
      immediately, not \AtBeginDocument (for people who
      want to have both borders and colored links).

2000-03-31  6.70b  Heiko Oberdiek
    * 6.70b
    * Definition of \x remains unchanged (bug introduced in 6.67g).
    * Packages titlesec and titletoc support by Javier Bezos
      <jbezos@arrakis.es>.
    * \MP added (\pdfbookmarkstring, htex4ht.cfg).
    * All files of hyperref.dtx now identify themselves
      by \Provides{File,Package}.
    * Start with nohyperref.sty (SR), toc-level addtions by HO.
    * Updated: testbm{gl,u}.tex

2000-03-23  6.70a  Heiko Oberdiek
    * 6.70a
    * New option: pdfpageduration for the /Dur key
      in the pdf page object, the value is empty or
      contains the length in seconds (real).
      Supported drivers: pdftex, pdfmark.
    * New option: pdfpagehidden for the /Hid key
      in the pdf page object, the value is a boolean.
      Supported drivers: pdftex, pdfmark.

2000-03-22  6.70  Sebastian Rahtz
    * 6.70 CTAN release (TeX Live 5)

2000-03-22  6.69f  Heiko Oberdiek
    * 6.69f
    * \@ifundefined{thechapter} changed to \@ifundefined{chapter}
      because of compatibility with french.sty.
    * xr-hyper.sty: \xdef changed to \protected@xdef
      (Stephan Lehmke <Stephan.Lehmke@cs.uni-dortmund.de>).
    * hvtex.def: default for pdfview changed to xyz.

2000-03-07  6.69e  Heiko Oberdiek
    * 6.69e
    * Fix for babel/3174 (\@save@activestrue in \hyper@normalise).

2000-03-02  6.69d  Heiko Oberdiek
    * 6.69d
    * Fix for \texttilde with babel's spanish, estonian, galician
    * Expandable versions without link of \ref and \pageref:
      \hypergetref and \hypergetpageref.
    * \ifthenelse: \ref and \pageref use the \hyperget... variants.
    * \hyper@chars added in \hyper@anchor of drivers
      hypertex, vtexhtml, and vtex.
    * Forms: checkboxsymbol introduced (Michael Wiedmann
      <michael.wiedmann@detewe.de>).
    * Redefinitions in \appendix are made globally
      (Tim J Harding <Tim.Harding@quadstone.com>).
    * If \chapter is undefined, it remains now undefined.

2000-01-22  6.69c  Heiko Oberdiek
    * 6.69c
    * D. P. Story <story@uakron.edu> has adapted forms
      part of pdfTeX to dvipdfm.

2000-01-21  6.69b  Heiko Oberdiek
    * 6.69b
    * \@writetorep: destination and level check added.
    * \addcontentsline: \phantomsection added, if no destination.

2000-01-19  6.69a  Heiko Oberdiek
    * 6.69a
    * Bug fixed: tabularx+\maketitle+\footnote.
    * LPPL 1.2, manifest.txt updated.

2000-01-18  6.69  Sebastian Rahtz
    * 6.69 CTAN release
    * Missing test files added.

2000-01-17  6.68a  Heiko Oberdiek
    * 6.68a
    * pdfpagescrop works now with dvipdfm (D. P. Story
      <story@uakron.edu>).

2000-01-13  6.68  Sebastian Rahtz
    * 6.68 CTAN release

2000-01-11  6.67h  Heiko Oberdiek
    * 6.67h
    * pdfpagemode: /None corrected to /UseNone.
    * \pdfstringdef: \halign disabled (because of errors by #).
    * Option draft: bookmarks are disabled (thanks to Michael Vulis).
    * Outdated bookmark documentation removed.
    * hvtex.def: \media{width,height} supported.
    * Space after \@pdfhighlight inserted (hpdftex.def).
    * Bug fixed in redefinition of \@chapter.
    * Small bug fixed in \Hy@boolkey.

1999-12-01  6.67g  Heiko Oberdiek
    * 6.67g
    * test/phys332-{1,2}.jpg renamed to test/phys{1,2}.jpg
    * Improved \catcode check and settings at the beginning
      of hyperref.sty.
    * [#1]-Bug fixed by [{#1}] in the definition of \htmlref
      and \@newctr and in many uses of \pdfmark.

1999-11-24  6.67f  Heiko Oberdiek
    * 6.67f
    * Test files checked by Sebastian Rahtz.
    * Unwanted spaces removed (dviwindo, outline).
    * Redone: \def\texorpdfstring to \newcommand*
    * Other implementation of \HyPSD@tocsection by Michael Downes.
    * ps2pdf: Default for pdfborder: 0 0 1
    * \belowpdfbookmark added (setting bookmark below current
      level without changing it).
    * \@ChoiceMenu: coiled "{\if}\fi" cleared to "{\if\fi}".
    * Fix for \citeN and \shortciteN of package chicago.

1999-11-09  6.67e  Heiko Oberdiek
    * 6.67e
    * Detection of VTeX PS mode (OpMode=2).
    * Added \tocsection fix for AMS classes
      (thanks to Michael Downes/Tom Kacvinsky).
    * Changed \newcommand*{\texorpdfstring} to \def\texorpdfstring
      (a wish of Tom Kacvinsky).
    * INSTALLDIRVAR added to makefile (default: TEXMFMAIN).

1999-11-09  6.67d  Heiko Oberdiek
    * 6.67d
    * Unwanted space removed in \hyper@linkstart (hvtex.def).
    * <hvtex,hvtexhtml> renamed to <vtex,vtexhtml>
    * If no driver is given, VTeX in PDF mode is now detected.

1999-11-08  6.67c  Heiko Oberdiek
    * 6.67c
    * hog.{eps,pdf} added for test0.tex
    * Bug in \Acrobatmenu of hvtex.def fixed.

1999-11-04  6.67b  Heiko Oberdiek
    * 6.67b
    * New feature: With option `pdfpagelabels' the
      /PageLabels entry in the /Catalog object of PDF 1.3
      is supported.
      With `pdftex' and `vtex' one TeX run suffices,
      other pdf driver, that work via \special, need
      two TeX runs.
    * Option `4' removed, because it is not used.

1999-10-23  6.67a  Heiko Oberdiek
    * 6.67a
    * \Hy@boolkey with optional argument for option name, if it
      is different.
    * hpdftex.def: \pdfrefform\OBJ@acroform, ... added.

1999-10-18  6.67  Heiko Oberdiek
    * 6.67 public release on CTAN

1999-10-14  6.66m  Heiko Oberdiek
    * 6.66m
    * makefile fixes.

1999-10-13  6.66l  Heiko Oberdiek
    * 6.66l
    * dvipdfm driver updated by Sebastian Rahtz.
    * LPPL 1.1, manifest.txt added.
    * \hyperlinkfileprefix for Ross Moore.
    * Option baseurl disabled after first use.
    * Option debug = verbose.
    * Used global options are removed from the unused option list.
    * \pdfstringdef: \leavevmode disabled,
      \guill@spacing (frenchb.ldf) properly defined.
    * Directory structure: test/ and doc/
    * Slides and paper of Heiko's talk at EuroTeX'99 added in doc/.

1999-10-07  6.66k  Heiko Oberdiek
    * 6.66k
    * hyperref.ins: eight times faster by \generate (docstrip 2.4)
      (Suggestion by Werner Lemberg <wl@gnu.org>).
    * backref.dtx 1.19:
      * \backcite ignores entries that are already present.
      * Some cosmetic clean up.
    * nameref.dtx 2.17: Some cosmetic clean up.
    * \Hy@boolkey with error checking.
    * Code for options backref and pagebackref rewritten.
    * Options are disabled after use.

1999-10-05  6.66j  Heiko Oberdiek
    * 6.66j
    * foiltex: \ext@table, \ext@figure defined.

1999-10-05  6.66i  Heiko Oberdiek
    * 6.66i
    * \pdfstringdef: support of shorthands of some babel
      languages added.
    * \ij, \IJ added in PD1 and PU encoding for Dutch.

1999-10-05  6.66h  Heiko Oberdiek
    * 6.66h
    * Making destination for \addcontentsline in
      \@chapter, if \c@secnumdepth<0, \frontmatter, or \backmatter.
    * `(' and `)' added to \Hy@{Set,Restore}Catcodes.

1999-10-01  6.66g  Heiko Oberdiek
    * 6.66g
    * \index{test|(} supported.

1999-09-28  6.66f  Heiko Oberdiek
    * 6.66f
    * options.tex with bookmarkstype
    * Bug in \autoref fixed: chapter/appendix detection
    * \\ and \newline produces a warning in \pdfstringdef
    * draft=false should work.

1999-09-14  6.66e  Heiko Oberdiek
    * 6.66e
    * Unwanted space in \HyPsd@LetUnexpandableSpace removed.

1999-09-13  6.66d  Heiko Oberdiek
    * 6.66d
    * \@footnotemark is also disabled, if package
      tabularx is loaded.

1999-09-10  6.66c  Heiko Oberdiek
    * 6.66c
    * Bug fix: Definition of \Hy@SaveLastSkip is moved before \MaybeStopEarly.

1999-09-10  6.66b  Heiko Oberdiek
    * 6.66b
    * Starting with option warnings, if the option is
      set at a wrong place.
    * Support for package multind.
    * \textnumero added to testbmu.tex.

1999-09-08  6.66a  Heiko Oberdiek
    * 6.66a
    * Catcodes are set at begin of package and restored at the end.
      (Bug fix: ltxdoc.cls makes '|' active...)

1999-09-08  6.66  Sebastian Rahtz
    * Release 6.66

1999-09-01  6.65e  Heiko Oberdiek
    * 6.65e
    * Test for \XR@addURL instead of the package name, because
      they exist different versions of xr and xr-hyper.

1999-08-31  6.65d  Heiko Oberdiek
    * 6.65d
    * Bug fixed (use of \renewcommand in \pdfstringdefDisableCommands)
    * Weak support for \ref and \pageref in bookmarks added.
    * Made bookmark code less slow (testbmu.tex compiles 20% faster):
      \HyPsd@ConvertToUnicode rewritten, \HyPsd@string introduced, ...
    * Bug detected by Ian Bruce: hyperref has a different spacing
      with theorem environments.
      Cause: The \lastskip value is destroyd by the specials that
      set the anchor.
      Fix: Saving the \lastskip value before the specials, and after
      setting \nobreak\{h,v}skip-\lastskip\{h,v}skip\lastskip.
      See \Hy@SaveLastskip - \Hy@RestoreLastskip.
      (most drivers: \hyper@anchor, \hyper@anchorstart - \hyper@anchorend;
      pdftex: \new@pdflink; dvipdfm: \@pdfm@dest)
    * \CYRCHDSC and \cyrchdsc corrected to \CYRCHRDSC and \cyrchrdsc
      (Thanks to Vladimir Volovich <vvv@vvv.vsu.ru>)
    * Bug fixed: \HAR@checkcitations redefined to add \hyper@@link.
      Without this the "Changed labels" warning would always appear.

1999-08-24  6.65c  Heiko Oberdiek
    * 6.65c
    * Unicode bookmark support 0x0000..0x04FF.
    * testbmu.tex: detailed test file for Unicode bookmarks.
    * Default setting of \@pdfborder with \providecommand,
      so package option `pdfborder' does work now.
    * \hv@pdf@char: support of octal codes with VTeX
      versions greater or equal 6.50.
    * Typo in option 'vtex' corrected.
    * Again backref 1.18.
    * Various drivers (dviwindo, hypertex, ...): \leavevmode in
      \hyper@linkurl, \hyper@linkfile, ... added where missing.
    * testform2.tex renamed to testfor2.tex (8+3 file name).

1999-08-17  6.65b  Heiko Oberdiek
    * 6.65b
    * Unicode bookmark support, starting with Cyrillic.

1999-08-14  6.65a  Heiko Oberdiek
    * 6.65a
    * Module pdfstringdef: bug (\space) and typo fixed.

1999-08-12  6.65  Sebastian Rahtz
    * RELEASE 6.65

1999-08-10  6.64h  Sebastian Rahtz
    * 6.64h
    * Moved some sections to before \MaybeStopEarly. Otherwise
       implicit=false mode never saw some important stuff.
    * hyperref.dtx: added \href to list of ignored commands in
      bookmarks. cleaned up VTEX stuff as per diagnosis by Heiko

1999-08-06  6.64g  Sebastian Rahtz
    * 6.64g
    * hyperref.dtx: typos and little fixes from Heiko
    * added another special thing for typexml

1999-07-29  Sebastian Rahtz
    * version 6.64c. hyperref.dtx: some typos corrected, and form
      primitives of pdftex

1999-07-28  Sebastian Rahtz
    * cut out any footnote work if tabularx is
      loaded. add some form stuff from D P Story

1999-07-28  Sebastian Rahtz
    * version 6.64b
    * hyperref.dtx:
    Changes from Heiko:
    Module pdfstringdef:
    * Small bug in \HyPsd@ProtectSpaces/HyPsd@RemoveMask fixed.
    * \@ifnextchar because of \futurelet disabled.
    * Disabling of \@ifstar removed, because it calls \@ifnextchar.
    * \@protected@testopt disabled to show the problematic macro in
      the warning message (commands with an optional argument).
    * \pdfstringdefWarn#1 prints a warning message with token #1,
      it can be used in code that disables macros by the user.
    * \pdfstringdefDisableCommands#1 is a easier interface for
      the hook \pdfstringdefPreHook. It appends its argument to the
      meaning of \pdfstringdefPreHook. The character @ can be used
      in command names.
    * \penalty is removed silently.
    * \kern and \hskip are detected with a warning:
      * At the beginning or, if the value is less than 1ex,
        they are removed.
      * Else they are replaced by a space.

    Fix for \pdfpage(s)attr:
    * Setting the /CropBox with \pdfpagesattr:
      The old meaning of \pdfpagesattr is appended.
    * Initial value of \@pdfpagestransition is \relax
      to differentiate between a unused or empty option.
    * \hyper@pagetransition (hpdftex):
      * The old entry /Trans is removed from \pdfpageattr.
      * The remaining old meaning retains and
      * the new /Trans is appended.
    * \hyper@pagetransition (pdfmark):
      * \if-switch for \relax added to get the old behaviour.
      ? (1) Need to delete an old entry?
      ? If 1=yes, how to delete?

1999-07-21  Sebastian Rahtz
    * version 6.64a, corrected typos in VTEX stuff

1999-07-19  6.64  Sebastian Rahtz
    * RELEASE 6.64
    * hyperref.dtx: support pdftex > 0.14 with new primitive names
    * hyperref.dtx: bookmark patches from Stephan Haller, to allow
      local changes of open status
    * hyperref.dtx: small patche for \seteqlabel. obscure problem in
      amstex compatibility mode, found by Michael Downes.
    * hyperref.dtx: patches to VTEX bookmark processing, from Taco
      Hoekwater, following patches by Denis Girou.

1999-07-08  6.63  Sebastian Rahtz
    * RELEASE 6.63
    * hyperref.dtx: added "typexml" option for typexml package
    * Some cleanups from Heiko

1999-06-29  6.62  Sebastian Rahtz
    * RELEASE 6.62
    * hyperref.dtx: (from Heiko), gobble \discretionary in bookmarks

1999-06-27  6.61  Sebastian Rahtz
    * RELEASE 6.61
    * hyperref.dtx: for Babel compatibility, use its  \@safe@actives
      switch in cross-refs (also in nameref.dtx), plus be nicer about
    * in \pdfstringdef (from Heiko). Move \phantomsection to main package.

1999-06-11  6.60  Sebastian Rahtz
    * RELEASE 6.60
    * nameref.dtx: changed \Sectionformat to a \providecommand, as it
      now comes \AtBeginDocument

1999-06-10  Sebastian Rahtz
    * hyperref.dtx: * Increment of version letter to 6.58f
    * hyperref.dtx: add \phantomsection, to make a section-like anchor
      Missing {} after \@ifpackageloaded{subfigure}
    * nameref.dtx define \section@level for pdfscreen
    From Heiko:
    * lastpage fix (added page anchor name, ...).
    * documentation for lastpage support added.
    * \pdfstringdef: \Generic{Error,Warn,Info} disabled while
      expanding.
    * \pdfstringdef: french fix changed to get rid of hard coded
      numbers for the guillemets.

1999-06-09  Sebastian Rahtz
    * hyperref.dtx: * Increment of version letter to 6.58b
    Loads of cleanups by Heiko:
     * \def\@pdfpagecrop{} removed, because it isn't used further
     * Loading of \Hy@driver part replaced (see previous email)
     * Old name \Hy@PDFDef found, replaced by \pdfstringdef
     * Module \pdfstringdef: Use of prefix "\HyPsd@" (it's shorter
      and easier to read than "\Hy@psd@".
     * \let\add@accent\HyPsd@add@accent instead of the definition
       in \pdfstringdef (saving run time).
     * Corrected to \begin{macro}{\HyPsd@ITALCORR}.
     * old ifbookmark replaced by texorpdfstring in description.
     * Missing lines added in pd1enc.def (\",\r,\v,\.,\c)
     * Bugs in  \define@key{Field}{maxlen}{\Fld@maxlen=#1}
            and  \define@key{Field}{menulength}{%
     * Changed \orig@appendix to \Hy@orig@appendix.
         \orig@maketitle to \Hy@orig@maketitle.
     * Replaced \global\def --> \gdef
     * Replaced \global\edef --> \xdef
     * Starting with identing (length 2) and checking the line length.

1999-06-08  Sebastian Rahtz
    * hyperref.dtx. make "subfigure" force hypertexnames=false; remove
      exactdef option (obsolete), and set default of 0 for bookmark
      level of unknown objects (\toclevel@...)
    * a lot of cleaning up of code layout, requested by Heiko, and bug
      fixing related to \addcontentsline

1999-05-30  Sebastian Rahtz
    * backref.dtx: added debugging/verbose  output
    * hyperref.dtx: considerable reworking of \addcontentsline, with
      wide-reaching effects
    * Some more PD1 fixes from Heiko. Stop using \@foo, too common a
      choice by others
    * Some fixes for TeX4ht, from Eitan Gurari

1999-05-19  6.57  Sebastian Rahtz
    * RELEASE 6.57
    * hyperref.dtx: a good many missing or extra spaces in and around
      line endings were found by Heiko and corrected.

1999-05-18  Sebastian Rahtz
    * hyperref.dtx: fixes to \textLF etc from Heiko

1999-05-17  Sebastian Rahtz
    * hyperref.dtx: Raise equation anchors by \baselineskip;
         dangerous, but its the only hope for XYZ views
    * Some fixes for tex4ht from Eitan Gurari
    * stop defaulting papersize \special
    * make bookmarks use tocdepth not secnumdepth
    * Some fixes for AMS equations, will probably break something!
    * some characters changed, and some added, in PD1
      encoding, to allow for silly behaviour of Acrobat, and to help
      Poles (via Wojciech A. Myszka <W.Myszka@immt.pwr.wroc.pl>)

    * backref.dtx: added support for chicago.sty (requested by Alan Reese)

1999-05-14  Sebastian Rahtz
    * hyperref.dtx: added new option hypertexnames. if it is *false*,
      unique arbitrary names are given for anchors and links, to avoid
      any conflict caused by counters being redefined etc. Long overdue.
    * Guillemet fix from Heiko.

1999-04-13  6.56  Sebastian Rahtz
    * RELEASE 6.56
    * hyperref.dtx: missed a \if@filesw (Heiko spotted), and removed
      the <repere> section

1999-04-12  6.55  Sebastian Rahtz
    * RELEASE 6.55
    * hyperref.dtx: when the run: type of URL is used, a \relax creeps
      into the output with pdfmark drivers. corrected.
    * Add some missing \if@filesw code (from Heiko)
    * Proper dummy initialisation of \pdfbookmark
    * Correct serious error over detecting whether seminar is being used
      (added new test, and defined \ifhy@seminarslides)
    * If implicit=false is used, ensure that \PDF@FinishDoc (to add
      DOCINFO stuff) is still done, \AtBeginDocument (it was tied to the
      redefinition of \@thehead)

1999-03-31  6.54  Sebastian Rahtz
    * RELEASE 6.54
    * hyperref.dtx: fixes from Heiko in pdf doc encoding stuff

1999-03-30  6.53  Sebastian Rahtz
    * RELEASE 6.53
    * hyperref.dtx: complete replacement of Heiko's part by nicely
      documented dtx....

    Name changes:
    \newif\ifPDFbookmark ==> \newif\ifHy@pdfstring (internal name)
    \ifbookmark          ==> \texorpdfstring (user command)
    \Hy@PDFDef           ==> \pdfstringdef (user or package command)

    Heiko summarizes the features of this \Hy@PDFDef:
    * PD1 encoding
    * Unknown glyphs don't cause an infinite error loop now (see
      bug report few weeks ago in pdftex@tug.org).
    * Grouping characters can be used, they are removed silently,
      so things like "\TeX{}" can be written.
    * With this version of \Hy@PDFDef the option exactdef can be
      removed now because of the warning messages.
    * All non-expandible commands like unknown glyphs or stomach
      commands are catched by this version: a comprehensive
      warning message is produced and the tokens are removed.
    * xspace support.
    * Support for unbalanced parentheses, hyparen.sty is now obsolete.

1999-03-26  6.52  Sebastian Rahtz
    * RELEASE 6.52
    * hyperref.dtx: Wherever "naturalnames" is used, disable
      \textlatin (from Babel 3.6k). Thanks to Felix Neubauer
      <Felix.Neubauer@gmx.net>
    * Fixes for seminar (Denis Girou <denis.girou@idris.fr>)

1999-03-12  6.51  Sebastian Rahtz
    * RELEASE 6.51 (unreleased)
    * hyperref.dtx: yet more bookmark magic from Heiko Oberdiek!

1999-02-21  Sebastian Rahtz
    * hyperref.dtx: trap a URL type of "run:" and attempt to use it to
      launch an application. In dvips, dvipdfm and pdftex drivers; it
      seems to work in Windows. By default it translates to file:

1999-02-17  Sebastian Rahtz
    * Changed the copyright notice
    * hyperref.dtx: some (more) corrections from Heiko

1999-02-16  6.50  Sebastian Rahtz
    * RELEASE 6.50
    * hyperref.dtx: some corrections from Heiko

1999-02-14  6.49  Sebastian Rahtz
    * RELEASE 6.49
    * hyperref.dtx: remove grouping around PDF@SetupDoc, allowing
      \pdfpagesttr in pdftex to work properly (ie CropBox)
      move PD@FinishDoc to happen at start of dvi (in page header);
      this allows for documents ending in \clearpage in which case the
      stuff never happened. sigh.

1999-02-06  6.48  Sebastian Rahtz
    * RELEASE 6.48
    * hyperref.dtx: add option "naturalnames", which makes hyperref use
      eg \thesection instead of \theHsection. may help some people.
    * Add option "verbose" to provide a debugging hook.
    * Set some more commands to no-op in bookmarks.
    * Remove all pdfinfo from PDF@SetupDoc, and transfer to new
      PDF@FinishDoc, which happens \AtEndDocument. This allows
      \maketitle to do \hypersetup{pdftitle=\@title} etc
    * Rearranged some lines of code.

1999-02-01  6.47  Sebastian Rahtz
    * RELEASE 6.47
    * hyperref.dtx: removed code from dvipdfm by mistake. restored.

1999-01-27  6.46  Sebastian Rahtz
    * RELEASE 6.46
    * hyperref.dtx: add support for colorlinks to dvipdfm driver
    (missed out by mistake before), and \AcrobatMenu

1999-01-20  Sebastian Rahtz
    * hyperref.dtx:  changed \texttilde to \textasciitilde; removed
      \textbeta

1998-12-17  6.45  Sebastian Rahtz
    * RELEASE 6.45
    * hyperref.dtx: make \footnotemark and \footnotetext use original
      non-hyper definitions. from pzezza@facec.cce.unifi.it.

1998-12-07  6.44  Sebastian Rahtz
    * RELEASE 6.44
    * hyperref.dtx: corrected bookmark writing errors. again...
      removed some spurious \makeat s. removed a spurious { in tex4ht

1998-12-01  6.43  Sebastian Rahtz
    * RELEASE 6.43
    * hyperref.dtx: fixes for \addcontentsline from
      kevin@rodin.wustl.edu (Kevin Ruland)
    - make \EndOfPackage things happen \AtBeginDocument instead, for
      consistency
    - fixes to hy@temp from Heiko
    - added optional first parameter to \BOOKMARK in order to provide
      dvipdfm with what it wants

1998-11-27  Sebastian Rahtz
    * hyperref.dtx: added dvipdfm driver from
      Mark Wicks <mwicks@kettering.edu>.
      cleaned up more bookmark code (from Heiko)

1998-11-11  6.42  Sebastian Rahtz
    * RELEASE 6.42
    * hyperref.dtx: replaced bookmark and docinfo writing with new code
      from Heiko Oberdiek which seems to do a better job
    * Support for lastpage package.

1998-11-03  6.41  Sebastian Rahtz
    * RELEASE 6.41
    * hyperref.dtx:  cleaned up test for existence of pdftex again, to
      avoid trampling on other packages. Thomas Esser and David Carlisle
      pointed out the mess.

1998-11-01  6.40  Sebastian Rahtz
    * RELEASE 6.40
    * hyperref.dtx:  checked various drivers, and had to introduce mew
      docstrip guards to add some pdfmark to dviwindo. dvipdf broken, so
      removed from hyperref.ins. Thanks to Thomas Esser for testing so
      quickly.

1998-10-30  6.39  Sebastian Rahtz
    * RELEASE 6.39
    * hyperref.dtx: serious error in where colorlinks and frenchlinks
      were checked. now all at EndOfPackage, after driver load.

1998-10-23  6.38  Sebastian Rahtz
    * RELEASE 6.38
    * hyperref.dtx:  rework handling of driver options so that driver
      is only loaded at the end, with whatever is the latest name given
      in config file, document etc. (Thanks to Thomas Esser for suggestion)

1998-10-17  6.37  Sebastian Rahtz
    * RELEASE 6.37
    * hyperref.dtx: back out change of link to use Action dictionary,
      it seems to break some Distiller setups, and Ghostscript

1998-10-06  Sebastian Rahtz
    * hyperref.dtx: make all eqnarray stop being an anchor, as it may
      break over pages.
    * Whoops. PDF@SetupDoc was after \MayBeStopEarly...

1998-09-24  6.36  Sebastian Rahtz
    * RELEASE 6.36
    * hyperref.dtx: even if bookmark writing disable, \pdfbookmark still
      needs to make anchors

1998-09-22  Sebastian Rahtz
    * hyperref.dtx: xdef not edef in \@writetorep (thanks to Christian
      Kumpf <kumpf@igd.fhg.de>)

1998-09-12  Sebastian Rahtz
    * hyperref.dtx: added option pdfnumberbookmarks to include section
      numbers in PDF bookmarks

1998-09-07  6.35  Sebastian Rahtz
    * RELEASE 6.35
    * hyperref.dtx: added DOCVIEW stuff to dviwindo driver
      better check for playing in head, means no more overfull hbox
      messages

1998-09-04  Sebastian Rahtz
    * hyperref.dtx: added DOCVIEW stuff to dvipsone driver (pointed
      out by D P Story)

1998-09-03  Sebastian Rahtz
    * hyperref.dtx:
      a) added new option linktocpage to make TOC have links on page
         numbers
      b) rewrote or checked all uses of \colorlink, so that they
         have a corresponding \hy@endcolorlink (was \hyper@resetcolor),
         and so are in a \begingroup ... \endgroup group (requested by
         Patrick Daly, for consistency if nothing else). Renamed
         \colorlink to \hy@colorlink

1998-09-02  6.34  Sebastian Rahtz
    * RELEASE 6.34
    * hyperref.dtx: chivvied around pdfview so that it worked, and did
      not override hyperref.cfg. concept of \@pdfviewparam for size
      parameters

1998-08-11  6.33  Sebastian Rahtz
    * RELEASE 6.33
    * hyperref.dtx: fix up some forms problems for Laurent Guillope

1998-08-08  Sebastian Rahtz
    * hyperref.dtx: add option `implicit' to allow (with value of
    false) for no redefinition of LaTeX internals. Re-ordered some
    code sections to allow for this.

1998-08-02  Sebastian Rahtz
    * hyperref.dtx: corrected some typos and mistakes in form support

1998-07-20  Sebastian Rahtz
    * hyperref.dtx: change check of empty head (from test by Denis
      Roegel)

1998-07-06  6.32  Sebastian Rahtz
    * RELEASE 6.32
    * backref.dtx: better test for natbib-like styles
    * hyperref.dtx: add natbib link break macro
    * dvipsone: use same pdfsetup as dviwindo

1998-06-27  6.31  Sebastian Rahtz
    * RELEASE 6.31
    * hyperref.dtx: correct order of part and writetorep
    * hyperref.dtx: more fixes from MicroPress for their driver. zero
      width hidden fields -> width of 1sp. Piet van Oostrum's additions
      to bookmark writing code.
    * add support for "pdfstartview={}", to get `default'
      magnification. hyper@linkfile for pdftex always does a user action
      now
    * Patrick Daly's addition of \ifvmode\nobreak\fi in pdftex start
      anchor fixes his section problems, but is not entirely general.

1998-06-25  Sebastian Rahtz
    * hyperref.dtx: fix NoHyper bug *properly* this time.

1998-06-25  6.30  Sebastian Rahtz
    * RELEASE 6.30
    * hyperref.dtx: zero width hidden fields. support pdfstartview of
      {}. allow NewWindow false with pdfnewwindow option. correct bug in
      default value of centerwindow and fitwindow. fix bug in NoHyper.
      fix bug in \pageref*.
    * Add \autoref macro to generate tagged references.

1998-06-24  6.29  Sebastian Rahtz
    * RELEASE 6.29
    * hyperref.dtx: add \ref* and \pageref* to produce unlinked
      references, and fix bug in label@hyperref.
      add page transitions for pdftex driver

1998-06-23  Sebastian Rahtz
    * hyperref.dtx: add support for page transitions in pdfmark driver
    * hyperref.dtx: add key pdfpagelayout
    * hyperref.dtx: revise form lists, now support Display=Value syntax
    * hyperref.dtx: change test for whether natbib-like code is
      present (if NAT@parse is defined), since things like aguplus dont
      load natbib per se, but use the same code.

1998-06-21  Sebastian Rahtz
    * hyperref.dtx: if form list value starts with a [, its assumed to
      be an array of two strings, display and use values.
    * hyperref.dtx: add `readonly' key for pdf forms, and hidden for
      HTML
    * hyperref.dtx: restructure form drivers to isolate common code
      for pdftex and pdfmark.

1998-06-20  Sebastian Rahtz
    * hyperref.dtx: add `hidden' key for forms

1998-06-19  6.28  Sebastian Rahtz
    * RELEASE 6.28
    * hyperref.dtx: use pdftex version and revision numbers
    * hyperref.dtx: corrected stupid error which meant that the
      bookmark file was not being opened.

1998-06-16  6.27  Sebastian Rahtz
    * RELEASE 6.27
    * hyperref.dtx: finished pdftex forms, and reworked several
      aspects of forms in general.

1998-06-15  Sebastian Rahtz
    * hyperref.dtx: use \filename@parse to decide whether a file: URL
      is a local open or a URL. makes ../../xxx work.
    * VTEX drivers driven by single `vtex' option which checks
      \OpMode

1998-06-13  Sebastian Rahtz
    * hyperref.dtx: merge in material from MicroPress to provide support
      for VTEX's two new modes of operation, PDF and HTML. Drivers hvtex
      and hvtexhtml.

1998-06-12  6.26  Sebastian Rahtz
    * (private) RELEASE 6.26
      addition from DPC to provide better support for encoding in
      .out files (must use inputenc)
    * (private) RELEASE 6.25
    * hyperref.dtx:
      removed quotes from names in dviwindo (DP Story)
      comma after file destination in dviwindo (DP Story)
      rejig parsing of file: to cope with ../foo/bar, at the
      cost of files having to be at least two characters long. ../..
      doesn't work either :-}

1998-06-05  6.24  Sebastian Rahtz
    * (private) RELEASE 6.24
    * hyperref.dtx: unset \@tempa at start of ProcessKVOptions (David
      Carlisle)
    * hyperref.dtx: pdftex base url syntax wrong; and if baseurl
       provided, need to strip file: from URL (corrections by
       daly@linpwd.mpae.gwdg.de (P.W.Daly, MPAe, Lindau, Germany)

1998-05-27  6.23  Sebastian Rahtz
    * (private) RELEASE 6.23
    * hyperref.dtx: remove spurious space in pdfview in pdftex driver

1998-05-16  6.22  Sebastian Rahtz
    * (private) RELEASE 6.22
    * hyperref.dtx: in draft mode, need fifth and secondoffive to be
      really secondoffive

1998-05-08  6.21  Sebastian Rahtz
    * (private) RELEASE 6.21
    * hyperref.dtx: added new key "pdfhighlight" to set Acrobat
      behaviour when a link is pressed. Make destinations use the Action
      dictionary. Added first cut at forms support.

1998-03-25  6.20  Sebastian Rahtz
    * (private) RELEASE 6.20
    * RELEASE 6.19
    * pdftex seems to have changed, added goto page for openaction
    * hyperref.dtx: put / in front of pdfstartview
      still changing textures driver

1998-03-22  6.18  Sebastian Rahtz
    * RELEASE 6.18

1998-03-21  Sebastian Rahtz
    * hyperref.dtx: add conditional code for fancyvrb, to stop
       links being made to fancyvrb lines.
    * experimental textures driver
    * pdftex as 0.12 the default; use guard pdftexold to select 0.11
      behaviour

1998-03-07  6.17  Sebastian Rahtz
    * RELEASE 6.17
    * hyperref.dtx: patches from Piotr Krysiuk
      <pkrysiuk@mimuw.edu.pl> to make it run under LaTeX 209
      compatibility mode

1998-03-05  Sebastian Rahtz
    * hyperref.dtx: put braces around URL in pdfmark driver, to stop
      keyval splitting at an = sign within the URL (bug report from Ahmed
      Hindawi <hindawi@ephouse.com>)

1998-03-03  Sebastian Rahtz
    * hyperref.dtx: add first cut at tex4ht driver
    * hyperref.dtx: changes for pdftex 0.12 driver (syntax changes)

1998-02-28  6.16  Sebastian Rahtz
    * (private) RELEASE 6.16
    * hyperref.dtx: AMSLaTeX does everything twice; pdftex actually
      *executes* the hyper code twice, so that destinations are defined
      twice. Make use of \ifmeasuring@ to avoid this.

1998-02-25  6.15  Sebastian Rahtz
    * RELEASE 6.15
    * Sigh. Messed up counters again. Fixed. It had better be right
      this time.
    * RELEASE 6.14
    * hyperref.dtx: added key bookmarksopen to dictate whether or not
      the bookmark tree is expanded (from Brian Ripley)
    * cleaned up the *horrible* mess created by me over items, which
      mean that I had turned off the incrementing....
    * typo in \pdfbookmark corrected

1998-02-23  6.13  Sebastian Rahtz
    * RELEASE 6.13
     * changes to \item had totally wrecked natbib :-}
    * added keys for PDF creator and producer
    * re-fix \@footnotemark in \maketitle
    * reverse parameters of \htmladdnormallink

1998-02-20  6.12  Sebastian Rahtz
    * RELEASE 6.12
    * RELEASE 6.11
    * hyperref.dtx: play around with items again for Tanmoy. ugh, all
      sorts of changes to stop bibitems getting 3 destinations defined.

1998-01-26  Sebastian Rahtz
    * hyperref.dtx: define \@makefnmark instead of \@footnotemark, to
      take advantage of white space and hyphenation fudges (from DPC)
    * backref.dtx: remove white space in for loop of \backcite

1998-01-22  6.10  Sebastian Rahtz
    * RELEASE 6.10
    * more dealing with \url, allowing for _

1998-01-21  6.9  Sebastian Rahtz
    * release 6.9
    * fixed some small bugs (though more remain) and added
      \Acrobatmenu command.

1997-12-11  Sebastian Rahtz
    * hyperref.dtx: altered algorithm of tocdepth for pdf bookmarks;
      rewrote nesting again. still concerned about global allocation
      of `current' tokens, and lack of nesting in PS file.

1997-12-09  Sebastian Rahtz
    * hyperref.dtx: rewrote handling of (non) nesting. the innards of
      an anchor are now processing inside {\stop@hyper...} which
      hopefully makes all hyper commands no-ops. ripley@stats.ox.ac.uk
      (Prof Brian Ripley) found several things which forced me to do
      *something* (ie a \cite inside a \caption gave the destination of
      the cite to the caption)
    * Daniel T. Cobra <cobra@gyron.acate.com.br> gave me a new
      incompatibility with ps2pdf

1997-11-24  6.7  Sebastian Rahtz
    * RELEASE 6.7
    * started hyperref ChangeLog. cleanup of copyright for Debian inclusion
